@Echo off
color 9F
SET build=1.8.6
SET iconcache=%localappdata%\IconCache.db
SET FILENAME=ATLAS Log-%RANDOM%
title A.T.L.A.S BETA  v%BUILD%
cls

wmic COMPUTERSYSTEM GET BootupState | findstr /i "fail-safe" > nul
if %errorlevel% EQU 0 goto safemode

:checkPrivileges 
NET FILE 1>NUL 2>NUL
if '%errorlevel%' == '0' ( goto disclaimer ) else ( goto getPrivileges ) 

:getPrivileges 
if '%1'=='ELEV' (shift & goto disclaimer)  
Echo. 
Echo                      ***************************************
Echo                      *          Now in Technicolor         *
Echo                      ***************************************

setlocal DisableDelayedExpansion
set "batchPath=%~0"
setlocal EnableDelayedExpansion
Echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\OEgetPrivileges.vbs" 
Echo UAC.ShellExecute "!batchPath!", "ELEV", "", "runas", 1 >> "%temp%\OEgetPrivileges.vbs" 
"%temp%\OEgetPrivileges.vbs" 
exit /B 

:disclaimer
setlocal & pushd.
cls
Echo.
:::                           \ __ __| |        \     ___| 
:::                          _ \   |   |       _ \  \___ \ 
:::                         ___ \  |   |      ___ \       |
:::                       _/    _\_|  _____|_/    _\_____/ 
Echo.
for /f "delims=: tokens=*" %%A in ('findstr /b ::: "%~f0"') do @echo(%%A
Echo.
Echo Brought to you by: David Smith (Solaris17)
Echo.
Echo This script and its Author(s) offer no warranty expressed or implied.
Echo.
Echo DO NOT RUN THIS ON A FAILING HDD! UNLESS DATA IS BACKED UP!
Echo.
Echo THIS IS NOT A DIAGNOSTIC TOOL!! GET PERMISSION FROM SUPERVISOR TO RUN REPAIRS!
Echo.
Echo DO NOT EXIT OUT OF ATLAS IF IT APPEARS HUNG! EXITING CAN DAMAGE SYSTEM!
Echo.
Echo ATLAS will backup start menu items to the desktop!!! Replace them after!
Echo.
Echo Please disable AV software BEFORE running ATLAS!!!
Echo.
Echo This can take a few minutes or a few hours to complete.
Echo.
Echo Log file and registry hives located @ C:\727PC\ATLAS
Echo.
pause
Echo.
goto menu

:menu
Cls
Echo.
Echo 1 = Start ATLAS
Echo.
Echo 2 = Eidos (Recovery)
Echo.
Echo 3 = L.I.M.P (Failsafe)
Echo.
Echo 4 = Scrubber (Legacy)
Echo.
Echo 5 = Main Menu
ECHO.
Echo 6 = Exit
set choice=
ECHO.
Echo Select ATLAS(1)  Eidos(2)  Limp(3)  Scrubber(4)  Menu(5) or Exit(6).
Echo.
set /p choice=
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto detect
if '%choice%'=='2' goto eidos
if '%choice%'=='3' goto limp
if '%choice%'=='4' goto scrubberm
if '%choice%'=='5' goto disclaimer
if '%choice%'=='6' goto exit

@Echo off
:detect
cls
ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_legacy
ver | findstr /i "5\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_legacy
ver | findstr /i "6\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_Vista
ver | findstr /i "6\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_current
ver | findstr /i "6\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_current
ver | findstr /i "6\.3\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_current
ver | findstr /i "6\.4\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_current
ver | findstr /i "10\.0\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_current
goto warn

:warn
cls
Echo Machine OS cannot be determined!
Echo.
Echo 1 = Windows 7, 8, 8.1, 10. (Server: 08, 2011, 2012)
Echo.
Echo 2 = Windows Vista
Echo.
Echo 3 = Windows 2000, 2003, XP. (Server: 2003)
ECHO.
Echo 4 = Exit
set choice=
ECHO.
Echo Select (1) (2) (3) or (4).
set /p choice=
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto ver_current
if '%choice%'=='2' goto ver_Vista
if '%choice%'=='3' goto ver_legacy
if '%choice%'=='4' goto exit

:ver_legacy
cls
Echo.
Echo                ******************************************************
Echo                *    Automated Technician Labor Assistance System    *
Echo                *                     LEGACY MODE                    *
Echo                ******************************************************
Echo.
Echo Please do not run other programs while ATLAS is performing operations!
Echo.
Echo Make sure Anti-Virus software is disabled. ATLAS will download and run tools.
Echo.
Echo If possible make sure system is connected to the internet.
Echo.
Echo Repairs happen off screen to speed up the process!
Echo.
Echo Initial reboot after repairs may take a long time.
Echo.
Echo Errors below can safetly be ignored.
Echo.
@Echo off
MD C:\727PC\ATLAS\RegBackup
MD C:\727PC\ATLAS\Log
MD C:\727PC\ATLAS\Tools
call :XP >> "C:\727PC\ATLAS\Log\%Filename%.txt" 2>&1

:XP
Echo.
Echo Setting environmental path to make sure it is not damaged.
Echo If this causes issues with some applications not opening replace PATH
Echo With the line shown below. This is a copy of the current PATH
Echo Instructions here http://www.computerhope.com/issues/ch000549.htm
Echo.
path
Echo.
path=%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:\WINDOWS\system32\WindowsPowerShell\v1.0
Echo.
Echo **********************************
Echo * STARTING ATLAS v%BUILD%  *
Echo **********************************
Echo.
Echo *********************************
Echo *          SYSTEM INFO          *    
Echo *********************************                          
Echo Current Local date and time is:
Echo.
DATE /t
TIME /t
Echo.
Echo Computer Name: %computername%
Echo.
Echo User Name: %username%
Echo.
systeminfo | findstr /B /C:"OS Name" /C:"OS Version" /C:"System Model"
Echo.
Echo *********************************
Echo *              END              *   
Echo ********************************* 
Echo.
Echo ***** Listing running process' for reasons *****
Echo.
tasklist
Echo.
Echo ***** Listing running services for reasons *****
Echo.
net start
Echo.
Echo *********************************
Echo *         Beginning Fixes       *   
Echo ********************************* 
Echo.

Echo ***** Beginning Pre-System Maintenance *****
Echo.
Echo Stopping the Windows Time Service...
Echo.
Echo Y| net stop w32time
Echo.
Echo Starting the Windows time Service...
Echo.
net start w32time
Echo.
CONTROL.EXE TIMEDATE.CPL,,/Z Eastern Standard Time
Echo.
w32tm /resync
Echo.
netsh firewall set opmode disable
Echo.
cd /D "C:\727pc\ATLAS\Tools"
Echo open teamdotexe.org> temp.txt
Echo user Scrubber>> temp.txt
Echo LogMe>> temp.txt
Echo ASCII>> temp.txt
Echo prompt no>> temp.txt
Echo get coretemp.exe>> temp.txt
Echo quit>> temp.txt
ftp -n -s:temp.txt
del temp.txt
Echo.
Start C:\727pc\ATLAS\Tools\coretemp.exe
Echo.
Echo Making sure system restore is enabled...
Echo.
powershell enable-computerrestore C:\
Echo.
powershell checkpoint-computer Edios
Echo.
sc stop MsMpSvc
Echo.
powercfg.exe -change -monitor-timeout-ac 0
powercfg.exe -change -monitor-timeout-dc 0
powercfg.exe -change -disk-timeout-ac 0
powercfg.exe -change -disk-timeout-dc 0
powercfg.exe -change -standby-timeout-ac 0
powercfg.exe -change -standby-timeout-dc 0
powercfg.exe -change -hibernate-timeout-ac 0
powercfg.exe -change -hibernate-timeout-dc 0
reg add HKCU\Control Panel\Desktop /v ScreenSaveActive /t REG_SZ /d 0 /f
Echo.
Echo Killing Primary processes to help with fixes...
Echo.
taskkill /F /IM msseces.exe
taskkill /F /IM chrome.exe
taskkill /F /IM GoogleCrashHandler.exe
taskkill /F /IM GoogleUpdate.exe
taskkill /F /IM GoogleCrashHandler64.exe
taskkill /F /IM iexplore.exe
taskkill /F /IM firefox.exe
taskkill /F /IM explorer.exe
taskkill /F /IM palemoon.exe
taskkill /F /IM opera.exe
taskkill /F /IM safari.exe
taskkill /F /IM skype.exe
taskkill /F /IM SkypeC2CAutoUpdateSvc.exe
taskkill /F /IM SkypeC2CPNRSvc.exe
Echo.
Echo ***** Now killing some common malware *****
Echo.
taskkill /F /IM "mypc backup".exe
taskkill /F /IM "backupstack".exe
taskkill /F /IM "driversupport".exe
taskkill /F /IM "driversupportao".exe
taskkill /F /IM "driversupportsvc".exe
taskkill /F /IM "pc optimizer pro".exe
taskkill /F /IM "startapps".exe
taskkill /F /IM "sp".exe
taskkill /F /IM "qpcbperformance".exe
taskkill /F /IM "quickpcbooster".exe
taskkill /F /IM "quickpcboostertrays".exe
taskkill /F /IM "pcoptprotrays".exe
taskkill /F /IM "pcrx".exe
taskkill /F /IM "pcrxtray".exe
taskkill /F /IM "29barsvc".exe
taskkill /F /IM "29brmon".exe
taskkill /F /IM "29brmon64".exe
taskkill /F /IM "39barsvc".exe
taskkill /F /IM "app24x7svc.exe".exe
taskkill /F /IM "appgraffiti".exe
taskkill /F /IM "appintegrator64".exe
taskkill /F /IM "aqfilerestoresrv".exe
taskkill /F /IM "avqwinmonengine".exe
taskkill /F /IM "couponprinterservice".exe
taskkill /F /IM "inbox".exe
taskkill /F /IM "mxtask".exe
taskkill /F /IM "mxtask2".exe
taskkill /F /IM "splashscreen".exe
taskkill /F /IM "RebateInf".exe
taskkill /F /IM "dtuser".exe
taskkill /F /IM "ffhelper".exe
taskkill /F /IM "ieutilslite".exe
taskkill /F /IM "tbnotifier".exe
taskkill /F /IM "softwareupdater".exe
taskkill /F /IM "Jacquie Lawson Circus".exe
taskkill /F /IM "dodlg".exe
taskkill /F /IM "gamelauncher".exe
taskkill /F /IM "gplayer".exe
taskkill /F /IM "gplrlanc".exe
taskkill /F /IM "report".exe
taskkill /F /IM "gtbarsvc".exe
taskkill /F /IM "gtbrmon".exe
taskkill /F /IM "gtbrmon64".exe
taskkill /F /IM "appintegrator".exe
taskkill /F /IM "appintegrator64".exe
taskkill /F /IM "gthighin".exe
taskkill /F /IM "gtmedint".exe
taskkill /F /IM "gtskplay".exe
taskkill /F /IM "gtsrchmn".exe
taskkill /F /IM "tpimanagerconsole".exe
taskkill /F /IM "mdp".exe
taskkill /F /IM "SlimCleanerPlus".exe
taskkill /F /IM "SlimServiceFactory".exe
taskkill /F /IM "SlimService".exe
taskkill /F /IM "driverupdate".exe
taskkill /F /IM "ezvid".exe
taskkill /F /IM "ffmpeg".exe
taskkill /F /IM "sox".exe
taskkill /F /IM "nircmd".exe
taskkill /F /IM "EgisAuthShellCom".exe
taskkill /F /IM "EgisCrypto".exe
taskkill /F /IM "EgisInitWizard".exe
taskkill /F /IM "EgisMgtConsole".exe
taskkill /F /IM "EgisPSDProxy".exe
taskkill /F /IM "EgisTSR".exe
taskkill /F /IM "EgisService".exe
taskkill /F /IM "egisupdate".exe
taskkill /F /IM "pmmupdate".exe
taskkill /F /IM "Egishlpsvc".exe
taskkill /F /IM "EgisPLConsole".exe
taskkill /F /IM "EgisPLInitWizard".exe
taskkill /F /IM "EgisPLTSR".exe
taskkill /F /IM "OneClickFixService".exe
taskkill /F /IM "PCTechHotlineSvc".exe
taskkill /F /IM "wajam_64".exe
taskkill /F /IM "updateFasterLight".exe
taskkill /F /IM "youtubeserv".exe
taskkill /F /IM "PCKeeperService".exe
taskkill /F /IM "wajam".exe
taskkill /F /IM "grunt".exe
taskkill /F /IM "wrex".exe
taskkill /F /IM "wrex64".exe
taskkill /F /IM "rpcnet".exe
taskkill /F /IM "utility".exe
taskkill /F /IM "OptProSmartScan".exe
taskkill /F /IM "PennyBeeW".exe
taskkill /F /IM "PCKeeper".exe
taskkill /F /IM "BBQLeadsApplication".exe
taskkill /F /IM "DesktopDockApp".exe
taskkill /F /IM "unit".exe
taskkill /F /IM "SupOptSmartScan".exe
taskkill /F /IM "utilFasterLight".exe
taskkill /F /IM "FasterLight.BOASHelper".exe
taskkill /F /IM "FasterLight.BRT.Helper".exe
taskkill /F /IM "FasterLight.expext".exe
taskkill /F /IM "findingdiscount".exe
taskkill /F /IM "FasterLight.BrowserAdapter".exe
taskkill /F /IM "FasterLight.BrowserAdapter64".exe
taskkill /F /IM "TiWorker".exe
taskkill /F /IM "wincheck".exe
taskkill /F /IM "IMGUpdater".exe
taskkill /F /IM "VOsrv".exe
taskkill /F /IM "nseven".exe
taskkill /F /IM "upgmsd_us_13".exe
taskkill /F /IM "SC_Svc64".exe
sc stop BackupStack
sc stop DSAO
sc stop 24x7HelpSvc
sc stop AQFileRestoreSrv
sc stop CouponPrinterService
sc stop HeadlineAlley_29Service
sc stop APNMCP
sc stop GamesAppIntegrationService
sc stop GamesAppService
sc stop GamingWonderlandService
sc stop "EgisTec Service"
sc stop "EgisTec Service Help"
sc stop "EgisTec Ticket Service"
sc stop SlimService
sc stop SpotfluxConnectionManager
sc stop SpotfluxUpdateService
Echo.
Echo Deleting Malware related files
Echo.
del /S "%APPDATA%"\*.cpp
del /S "%LOCALAPPDATA%"\*.cpp
del /S "%programdata%"\*.cpp
del /S "%programdata%"\*.zot
rmdir "C:\Program Files\Software Updater" /s /q
rmdir "C:\Program Files\MyPC Backup" /s /q
rmdir "C:\Program Files\Driver Support" /s /q
rmdir "C:\Program Files\PCRx" /s /q
rmdir "C:\Program Files\PC Optimizer Pro" /s /q
rmdir "C:\Program Files\Quick PC Booster" /s /q
rmdir "C:\Program Files\Veloxum" /s /q
rmdir "%appdata%\Search Protection" /s /q
rmdir "%appdata%\PCRx" /s /q
rmdir "%userprofile%\Local Settings\Application Data\PC_Drivers_Headquarters" /s /q
rmdir "C:\Program Files\Software Updater" /s /q
rmdir "C:\Program Files\MyPC Backup" /s /q
rmdir "C:\Program Files\Driver Support" /s /q
rmdir "C:\Program Files\PCRx" /s /q
rmdir "C:\Program Files\PC Optimizer Pro" /s /q
rmdir "C:\Program Files\Quick PC Booster" /s /q
rmdir "C:\Program Files\Veloxum" /s /q
rmdir "C:\Program Files\HeadlineAlley_29" /s /q
rmdir "C:\Program Files\MapsGalaxy_39" /s /q
rmdir "C:\Program Files\inbox.com" /s /q
rmdir "C:\Program Files\inbox toolbar" /s /q
rmdir "C:\Program Files\24x7Help" /s /q
rmdir "C:\Program Files\AppGraffiti" /s /q
rmdir "C:\Program Files\Avanquest" /s /q
rmdir "C:\Program Files\Coupons" /s /q
rmdir "C:\Program Files\PCPowerSpeed" /s /q
rmdir "C:\Program Files\RebateInformer" /s /q
rmdir "C:\Program Files\roadrunnerbhn" /s /q
rmdir "C:\Program Files\AskPartnerNetwork" /s /q
rmdir "C:\Program Files\Browsersafeguard" /s /q
rmdir "C:\Program Files\Cosmi" /s /q
rmdir "C:\Program Files\Free Ride Games" /s /q
rmdir "C:\Program Files\GamingWonderland" /s /q
rmdir "C:\Program Files\Jacquie Lawson Circus" /s /q
rmdir "C:\Program Files\TidyNetwork" /s /q
rmdir "C:\Program Files\MyPC Backup" /s /q
rmdir "C:\Program Files\Driver Support" /s /q
rmdir "C:\Program Files\PCRx" /s /q
rmdir "C:\Program Files\PC Optimizer Pro" /s /q
rmdir "C:\Program Files\Quick PC Booster" /s /q
rmdir "C:\Program Files\Veloxum" /s /q
rmdir "C:\Program Files\HeadlineAlley_29" /s /q
rmdir "C:\Program Files\MapsGalaxy_39" /s /q
rmdir "C:\Program Files\inbox.com" /s /q
rmdir "C:\Program Files\inbox toolbar" /s /q
rmdir "C:\Program Files\24x7Help" /s /q
rmdir "C:\Program Files\AppGraffiti" /s /q
rmdir "C:\Program Files\Avanquest" /s /q
rmdir "C:\Program Files\Coupons" /s /q
rmdir "C:\Program Files\PCPowerSpeed" /s /q
rmdir "C:\Program Files\RebateInformer" /s /q
rmdir "C:\Program Files\roadrunnerbhn" /s /q
rmdir "C:\Program Files\askpartnernetwork" /s /q
rmdir "C:\Program Files\Browsersafeguard" /s /q
rmdir "C:\Program Files\Cosmi" /s /q
rmdir "C:\Program Files\Free Ride Games" /s /q
rmdir "C:\Program Files\GamingWonderland" /s /q
rmdir "C:\Program Files\Jacquie Lawson Circus" /s /q
rmdir "C:\Program Files\TidyNetwork" /s /q
rmdir "C:\Program Files\EgisTec IPS" /s /q
rmdir "C:\Program Files\SlimCleaner Plus" /s /q
rmdir "C:\Program Files\SlimService" /s /q
rmdir "C:\Program Files\Program Files\DriverUpdate" /s /q
rmdir "C:\Program Files\Program Files\EgisTec BioExcess" /s /q
rmdir "C:\Program Files\Program Files\EgisTec IPS" /s /q
rmdir "C:\Program Files\Program Files\EgisTec Port Locker" /s /q
rmdir "C:\Program Files\ezvid" /s /q
rmdir "C:\Program Files\MyFree Codec" /s /q
rmdir "C:\Program Files\Optimizer Pro" /s /q
sc delete APNMCP
sc delete BackupStack
sc delete DSAO
sc delete 24x7HelpSvc
sc delete AQFileRestoreSrv
sc delete CouponPrinterService
sc delete HeadlineAlley_29Service
sc delete GamesAppIntegrationService
sc delete GamesAppService
sc delete GamingWonderlandService
sc delete "EgisTec Service"
sc delete "EgisTec Service Help"
sc delete "EgisTec Ticket Service"
sc delete SlimService
sc delete SpotfluxConnectionManager
sc delete SpotfluxUpdateService
Echo.

Echo ***** Starting backup of misc files *****
Echo.
Echo Backing up the Registry!
Echo.
Echo Y|REG SAVE HKEY_CURRENT_CONFIG C:\727PC\ATLAS\RegBackup\config.emergency
Echo Y|REG SAVE HKEY_CURRENT_USER C:\727PC\ATLAS\RegBackup\user.emergency
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\SAM C:\727PC\ATLAS\RegBackup\SAM
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Security C:\727PC\ATLAS\RegBackup\SECURITY
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Software C:\727PC\ATLAS\RegBackup\SOFTWARE
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\System C:\727PC\ATLAS\RegBackup\SYSTEM
Echo Y|REG SAVE HKEY_USERS\.DEFAULT C:\727PC\ATLAS\RegBackup\DEFAULT
Echo.

Echo ***** Starting Networking Fixes *****
Echo.
Echo Stopping the Windows Update Service...
Echo.
Echo Y| net stop wuauserv
Echo.
Echo Stopping the Background Intelligent Transfer Service (BITS)...
Echo.
Echo Y| net stop bits
Echo.
Echo Stopping the Cryptography Service...
Echo.
Echo Y| net stop cryptsvc
Echo.
Echo Fixing the Network Queue...
Echo.
Del "%ALLUSERSPROFILE%\Application Data\Microsoft\Network\Downloader\qmgr*.dat"
Echo.
Echo Deleting the 'Software Distribution' folder...
Echo.
rmdir /s /q %windir%\SoftwareDistribution\
mkdir %windir%\SoftwareDistribution
Echo.
Echo Deleting the 'CatRoot2' folder...
Echo.
rmdir /s /q %windir%\System32\CatRoot2\
mkdir %windir%\System32\CatRoot2
Echo.
Echo Cleaning 'Temp' folder...
Echo.
rmdir /s /q %windir%\Temp\
mkdir %windir%\Temp
Echo.
Echo Cleaning 'Prefetch' folder...
Echo.
rmdir /s /q %windir%\Prefetch\
mkdir %windir%\Prefetch
Echo.
Echo Cleaning 'Program Data' Folder
Echo.
del /S "%programdata%"\*.tmp
Echo.
Echo Registering Important Associated DLLs...
Echo.
regsvr32 atl.dll /s
regsvr32 urlmon.dll /s
regsvr32 mshtml.dll /s
regsvr32 shdocvw.dll /s
regsvr32 browseui.dll /s
regsvr32 jscript.dll /s
regsvr32 vbscript.dll /s
regsvr32 scrrun.dll /s
regsvr32 msxml.dll /s
regsvr32 msxml3.dll /s
regsvr32 msxml6.dll /s
regsvr32 actxprxy.dll /s
regsvr32 softpub.dll /s
regsvr32 wintrust.dll /s
regsvr32 dssenh.dll /s
regsvr32 rsaenh.dll /s
regsvr32 gpkcsp.dll /s
regsvr32 sccbase.dll /s
regsvr32 slbcsp.dll /s
regsvr32 cryptdlg.dll /s
regsvr32 oleaut32.dll /s
regsvr32 ole32.dll /s
regsvr32 shell32.dll /s
regsvr32 initpki.dll /s
regsvr32 wuapi.dll /s
regsvr32 wuaueng.dll /s
regsvr32 wuaueng1.dll /s
regsvr32 wucltui.dll /s
regsvr32 wups.dll /s
regsvr32 wups2.dll /s
regsvr32 wuweb.dll /s
regsvr32 qmgr.dll /s
regsvr32 qmgrprxy.dll /s
regsvr32 wucltux.dll /s
regsvr32 muweb.dll /s
regsvr32 wuwebv.dll /s
regsvr32 mssip32.dll /s
IF EXIST "%SystemRoot%\System32\actxprxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%SystemRoot%\System32\actxprxy.dll" /s
IF EXIST "%ProgramFiles%\Internet Explorer\ieproxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%ProgramFiles%\Internet Explorer\ieproxy.dll" /s
IF EXIST "%WinDir%\SysWOW64\actxprxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%WinDir%\SysWOW64\actxprxy.dll" /s
IF EXIST "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" /s
Echo.
Echo DLL Registration Complete!...
Echo.
Echo Resetting the Security Descriptors...
Echo.
sc.exe sdset bits D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
sc.exe sdset wuauserv D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
Echo Resetting Winsock...
Echo.
netsh winsock reset
Echo.
Echo Resetting the TCP/IP Stack...
Echo.
netsh int ip reset C:\727PC\ATLAS\Log\ipresetlog.txt
Echo.
Echo Clearing Proxy Settings!
Echo.
proxycfg.exe -d
Echo.
Echo Bringing the services back online! (Some might not come back until system is rebooted)...
Echo.
net start wuauserv
net start bits
net start cryptsvc
Echo.
Echo ***** Replacing the HOSTS file with known good copy *****
Echo.
cd /D "C:\727pc\ATLAS\Tools"
Echo open teamdotexe.org> temp.txt
Echo user Scrubber>> temp.txt
Echo LogMe>> temp.txt
Echo ASCII>> temp.txt
Echo prompt no>> temp.txt
Echo get hosts>> temp.txt
Echo quit>> temp.txt
ftp -n -s:temp.txt
del temp.txt
Echo.
copy /y "%CD%\hosts" "%windir%\System32\drivers\etc"

Echo ***** Starting file cleanup *****
Echo.
Echo Emptying the Recycle bin...
Echo.
rd /s /q %systemdrive%\Recycler
Echo.
Echo Deleting Temporary internet files (IE 7+)...
Echo.
DEL /s /q "%USERPROFILE%\Local Settings\Temporary Internet Files"
Echo.
Echo Deleting AppData Temporary Files...
Echo.
rmdir /s /q %LOCALAPPDATA%\Temp\
mkdir %LOCALAPPDATA%\Temp
Echo.
Echo Deleting User Temporary Files...
Echo.
rmdir /s /q "%USERPROFILE%\Local Settings\Temp\"
mkdir "%USERPROFILE%\Local Settings\Temp"
Echo.
Echo Deleting IE Saved Data and disabling add-ons
Echo.
RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 4351
Echo.
Echo Delete Google Chrome Extensions...
Echo.
rmdir /s /q "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
mkdir "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
Echo.
Echo Deleting Firefox extension cache...
Echo.
rmdir /s /q "%APPDATA%\Mozilla\Extensions"
mkdir "%APPDATA%\Mozilla\Extensions"
Echo.
Echo Disabling/Deleting Hibernation and file(s)
Echo.
powercfg.exe -h off
Echo.

Echo ***** Performing Misc fixes *****
Echo.
start explorer.exe
Echo.
Echo Rebuilding Icon Cache...
Echo.
DEL /s /q "%userprofile%\local settings\application data\Iconcache.db"
taskkill /F /IM explorer.exe
Echo.
Echo Fixing Windows installer problems...
Echo.
msiexec /unregister
Echo.
msiexec /regserver
Echo.
Echo Deleting Scheduled Tasks
Echo.
schtasks /delete /F /TN *
Echo.
Echo Checking for windows updates
Echo.
wuauclt.exe /detectnow
Echo.

Echo ***** Repairing File System *****
Echo.
Echo Y| chkdsk /f
Echo.

Echo ***** Starting Security Audit *****
Echo.
Echo Im now going to modify the security settings for executables to help combat cryptolocker and cryptowall.
Echo.
cd /D "C:\727pc\ATLAS\Tools"
Echo open teamdotexe.org> temp.txt
Echo user Scrubber>> temp.txt
Echo LogMe>> temp.txt
Echo ASCII>> temp.txt
Echo prompt no>> temp.txt
Echo get CryptoPrevent.exe>> temp.txt
Echo quit>> temp.txt
ftp -n -s:temp.txt
del temp.txt
Echo.
Start C:\727pc\ATLAS\Tools\CryptoPrevent.exe  /apply /appdata /appdatadeep /appdatalocal /programdata /userprofile /startup /bin /syskey /cipher /fakeexts /whitelist /silent
Echo.
Echo Now im going to try and fix the default Windows permissions. (Use Tweak if this breaks things!)
Echo.
secedit /configure /cfg %windir%\inf\defltbase.inf /db defltbase.sdb /verbose
Echo.
Echo I am going to attempt to reset the Windows GPO settings...
Echo.
REG DELETE HKLM\Software\Policies /f
REG DELETE HKCU\Software\Policies /f
REG DELETE HKLM\Software\Microsoft\Windows\CurrentVersion\Policies /f
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies /f
Echo.
net localgroup administrators SERVICE /delete
Echo.

Echo ***** Starting Registry Settings *****
Echo.
Reg Add HKLM\Software\Microsoft\Windows\CurrentVersion\RunOnce /v Message /d "MSG * System HDD/SSD will I/O HARD while it rebuilds indexes!! ~5min" /f
Echo.
Echo Fixing Chrome update registry key...
Echo.
Reg Add HKLM\SOFTWARE\Policies\Google\Update /V "UpdateDefault" /D 1 /T REG_DWORD /F
Echo.
Echo Deleting Policy preventing Vista start menu items from appearing...
Echo.
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer /v NoInstrumentation /f
Echo.
Echo Deleting upper and lower filters (Fixes no CD appearing)...
Echo.
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v UpperFilters /f
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v LowerFilters /f
Echo.
cd /D "C:\Windows\System32"
Echo open teamdotexe.org> temp.txt
Echo user Scrubber>> temp.txt
Echo LogMe>> temp.txt
Echo ASCII>> temp.txt
Echo prompt no>> temp.txt
Echo get subinacl.exe>> temp.txt
Echo quit>> temp.txt
ftp -n -s:temp.txt
del temp.txt
Echo.
subinacl /subkeyreg HKEY_LOCAL_MACHINE /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CURRENT_USER /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CLASSES_ROOT /grant=administrators=f >NUL 2>NUL
subinacl /subdirectories %SystemDrive% /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_LOCAL_MACHINE /grant=system=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CURRENT_USER /grant=system=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CLASSES_ROOT /grant=system=f >NUL 2>NUL
subinacl /subdirectories %SystemDrive% /grant=system=f >NUL 2>NUL

Echo ***** Starting wrap-up fixes before shutdown *****
Echo.
Echo Flushing the DNS Cache...
Echo.
ipconfig /flushdns
Echo.
Echo Releasing and Renewing the IP...
Echo.
ipconfig /renew
Echo.
sc start MsMpSvc
Echo.
reg add HKCU\Control Panel\Desktop /v ScreenSaveActive /t REG_SZ /d 1 /f
Echo.
taskkill /F /IM "coretemp".exe
timeout 5
rmdir /s /q "C:\727pc\ATLAS\Tools"
Echo.

Echo ***** CREDITS *****
Echo.
Echo David S.
Echo Evan B.
Echo Mike G.
Echo.
goto logul

:ver_Vista
cls
Echo.
Echo                ******************************************************
Echo                *    Automated Technician Labor Assistance System    *
Echo                *                      VISTA MODE                    *
Echo                ******************************************************
Echo.
Echo Please do not run other programs while ATLAS is performing operations!
Echo.
Echo Make sure Anti-Virus software is disabled. ATLAS will download and run tools.
Echo.
Echo If possible make sure system is connected to the internet.
Echo.
Echo Repairs happen off screen to speed up the process!
Echo.
Echo Initial reboot after repairs may take a long time.
Echo.
Echo Errors below can safetly be ignored.
Echo.
@Echo off
MD C:\727PC\ATLAS\RegBackup
MD C:\727PC\ATLAS\Log
MD C:\727PC\ATLAS\Tools
call :VISTA >> "C:\727PC\ATLAS\Log\%Filename%.txt" 2>&1

:VISTA
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/coretemp.exe c:\727pc\ATLAS\Tools\coretemp.exe
START C:\727pc\ATLAS\Tools\coretemp.exe
Echo.
Echo **********************************
Echo * STARTING ATLAS v%BUILD%  *
Echo **********************************
Echo.
Echo *********************************
Echo *          SYSTEM INFO          *    
Echo *********************************                          
Echo Current Local date and time is:
Echo.
DATE /t
TIME /t
Echo.
Echo Computer Name: %computername%
Echo.
Echo User Name: %username%
Echo.
systeminfo | findstr /B /C:"OS Name" /C:"OS Version" /C:"System Model"
Echo.
Echo *********************************
Echo *              END              *   
Echo ********************************* 
Echo.
Echo ***** Listing running process' for reasons *****
Echo.
tasklist
Echo.
Echo ***** Listing running services for reasons *****
Echo.
net start
Echo.
Echo *********************************
Echo *         Beginning Fixes       *   
Echo ********************************* 
Echo.

Echo ***** Beginning Pre-System Maintenance *****
Echo.
Echo Making sure system restore is enabled...
Echo.
powershell enable-computerrestore "C:\ "
Echo.
powershell checkpoint-computer Edios
Echo.
Echo Backing up and deleting startup items incase of infection...
Echo.
XCOPY "%userprofile%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup" "%userprofile%\desktop\startup backup" /E /C /Y /I /S
DEL /S /Q "%userprofile%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup"
Echo.
Echo Stopping the Windows Time Service...
Echo.
Echo Y| net stop w32time
Echo.
Echo Starting the Windows time Service...
Echo.
net start w32time
Echo.
NetSh Advfirewall set allprofiles state off
Echo.
sc stop MsMpSvc
Echo.
powercfg.exe -change -monitor-timeout-ac 0
powercfg.exe -change -monitor-timeout-dc 0
powercfg.exe -change -disk-timeout-ac 0
powercfg.exe -change -disk-timeout-dc 0
powercfg.exe -change -standby-timeout-ac 0
powercfg.exe -change -standby-timeout-dc 0
powercfg.exe -change -hibernate-timeout-ac 0
powercfg.exe -change -hibernate-timeout-dc 0
reg add "HKCU\Control Panel\Desktop" /v "ScreenSaveActive" /t REG_SZ /d "0" /f
Echo.
Echo Killing Primary processes to help with fixes...
Echo.
taskkill /F /IM msseces.exe
taskkill /F /IM chrome.exe
taskkill /F /IM GoogleCrashHandler.exe
taskkill /F /IM GoogleUpdate.exe
taskkill /F /IM GoogleCrashHandler64.exe
taskkill /F /IM iexplore.exe
taskkill /F /IM firefox.exe
taskkill /F /IM explorer.exe
taskkill /F /IM palemoon.exe
taskkill /F /IM opera.exe
taskkill /F /IM safari.exe
taskkill /F /IM sidebar.exe
taskkill /F /IM skype.exe
taskkill /F /IM SkypeC2CAutoUpdateSvc.exe
taskkill /F /IM SkypeC2CPNRSvc.exe
Echo.
Echo ***** Now killing some common malware *****
Echo.
taskkill /F /IM "mypc backup".exe
taskkill /F /IM "backupstack".exe
taskkill /F /IM "driversupport".exe
taskkill /F /IM "driversupportao".exe
taskkill /F /IM "driversupportsvc".exe
taskkill /F /IM "pc optimizer pro".exe
taskkill /F /IM "startapps".exe
taskkill /F /IM "sp".exe
taskkill /F /IM "qpcbperformance".exe
taskkill /F /IM "quickpcbooster".exe
taskkill /F /IM "quickpcboostertrays".exe
taskkill /F /IM "pcoptprotrays".exe
taskkill /F /IM "pcrx".exe
taskkill /F /IM "pcrxtray".exe
taskkill /F /IM "29barsvc".exe
taskkill /F /IM "29brmon".exe
taskkill /F /IM "29brmon64".exe
taskkill /F /IM "39barsvc".exe
taskkill /F /IM "app24x7svc.exe".exe
taskkill /F /IM "appgraffiti".exe
taskkill /F /IM "appintegrator64".exe
taskkill /F /IM "aqfilerestoresrv".exe
taskkill /F /IM "avqwinmonengine".exe
taskkill /F /IM "couponprinterservice".exe
taskkill /F /IM "inbox".exe
taskkill /F /IM "mxtask".exe
taskkill /F /IM "mxtask2".exe
taskkill /F /IM "splashscreen".exe
taskkill /F /IM "RebateInf".exe
taskkill /F /IM "dtuser".exe
taskkill /F /IM "ffhelper".exe
taskkill /F /IM "ieutilslite".exe
taskkill /F /IM "tbnotifier".exe
taskkill /F /IM "softwareupdater".exe
taskkill /F /IM "Jacquie Lawson Circus".exe
taskkill /F /IM "dodlg".exe
taskkill /F /IM "gamelauncher".exe
taskkill /F /IM "gplayer".exe
taskkill /F /IM "gplrlanc".exe
taskkill /F /IM "report".exe
taskkill /F /IM "gtbarsvc".exe
taskkill /F /IM "gtbrmon".exe
taskkill /F /IM "gtbrmon64".exe
taskkill /F /IM "appintegrator".exe
taskkill /F /IM "appintegrator64".exe
taskkill /F /IM "gthighin".exe
taskkill /F /IM "gtmedint".exe
taskkill /F /IM "gtskplay".exe
taskkill /F /IM "gtsrchmn".exe
taskkill /F /IM "tpimanagerconsole".exe
taskkill /F /IM "mdp".exe
taskkill /F /IM "SlimCleanerPlus".exe
taskkill /F /IM "SlimServiceFactory".exe
taskkill /F /IM "SlimService".exe
taskkill /F /IM "driverupdate".exe
taskkill /F /IM "ezvid".exe
taskkill /F /IM "ffmpeg".exe
taskkill /F /IM "sox".exe
taskkill /F /IM "nircmd".exe
taskkill /F /IM "EgisAuthShellCom".exe
taskkill /F /IM "EgisCrypto".exe
taskkill /F /IM "EgisInitWizard".exe
taskkill /F /IM "EgisMgtConsole".exe
taskkill /F /IM "EgisPSDProxy".exe
taskkill /F /IM "EgisTSR".exe
taskkill /F /IM "EgisService".exe
taskkill /F /IM "egisupdate".exe
taskkill /F /IM "pmmupdate".exe
taskkill /F /IM "Egishlpsvc".exe
taskkill /F /IM "EgisPLConsole".exe
taskkill /F /IM "EgisPLInitWizard".exe
taskkill /F /IM "EgisPLTSR".exe
taskkill /F /IM "OneClickFixService".exe
taskkill /F /IM "PCTechHotlineSvc".exe
taskkill /F /IM "wajam_64".exe
taskkill /F /IM "updateFasterLight".exe
taskkill /F /IM "youtubeserv".exe
taskkill /F /IM "PCKeeperService".exe
taskkill /F /IM "wajam".exe
taskkill /F /IM "grunt".exe
taskkill /F /IM "wrex".exe
taskkill /F /IM "wrex64".exe
taskkill /F /IM "rpcnet".exe
taskkill /F /IM "utility".exe
taskkill /F /IM "OptProSmartScan".exe
taskkill /F /IM "PennyBeeW".exe
taskkill /F /IM "PCKeeper".exe
taskkill /F /IM "BBQLeadsApplication".exe
taskkill /F /IM "DesktopDockApp".exe
taskkill /F /IM "unit".exe
taskkill /F /IM "SupOptSmartScan".exe
taskkill /F /IM "utilFasterLight".exe
taskkill /F /IM "FasterLight.BOASHelper".exe
taskkill /F /IM "FasterLight.BRT.Helper".exe
taskkill /F /IM "FasterLight.expext".exe
taskkill /F /IM "findingdiscount".exe
taskkill /F /IM "FasterLight.BrowserAdapter".exe
taskkill /F /IM "FasterLight.BrowserAdapter64".exe
taskkill /F /IM "TiWorker".exe
taskkill /F /IM "wincheck".exe
taskkill /F /IM "IMGUpdater".exe
taskkill /F /IM "VOsrv".exe
taskkill /F /IM "nseven".exe
taskkill /F /IM "upgmsd_us_13".exe
taskkill /F /IM "SC_Svc64".exe
sc stop BackupStack
sc stop DSAO
sc stop 24x7HelpSvc
sc stop AQFileRestoreSrv
sc stop CouponPrinterService
sc stop HeadlineAlley_29Service
sc stop APNMCP
sc stop GamesAppIntegrationService
sc stop GamesAppService
sc stop GamingWonderlandService
sc stop "EgisTec Service"
sc stop "EgisTec Service Help"
sc stop "EgisTec Ticket Service"
sc stop SlimService
sc stop SpotfluxConnectionManager
sc stop SpotfluxUpdateService
Echo.
Echo Deleting Malware related files
Echo.
del /S "%APPDATA%"\*.cpp
del /S "%LOCALAPPDATA%"\*.cpp
del /S "%programdata%"\*.cpp
del /S "%programdata%"\*.zot
del /S "%programdata%"\*.zog
rmdir "%appdata%\Search Protection" /s /q
rmdir "%appdata%\PCRx" /s /q
rmdir "%userprofile%\Local Settings\Application Data\PC_Drivers_Headquarters" /s /q
rmdir "C:\Program Files (x86)\Software Updater" /s /q
rmdir "C:\Program Files (x86)\MyPC Backup" /s /q
rmdir "C:\Program Files (x86)\Driver Support" /s /q
rmdir "C:\Program Files (x86)\PCRx" /s /q
rmdir "C:\Program Files (x86)\PC Optimizer Pro" /s /q
rmdir "C:\Program Files (x86)\Quick PC Booster" /s /q
rmdir "C:\Program Files (x86)\Veloxum" /s /q
rmdir "C:\Program Files (x86)\HeadlineAlley_29" /s /q
rmdir "C:\Program Files (x86)\MapsGalaxy_39" /s /q
rmdir "C:\Program Files (x86)\inbox.com" /s /q
rmdir "C:\Program Files (x86)\inbox toolbar" /s /q
rmdir "C:\Program Files (x86)\24x7Help" /s /q
rmdir "C:\Program Files (x86)\AppGraffiti" /s /q
rmdir "C:\Program Files (x86)\Avanquest" /s /q
rmdir "C:\Program Files (x86)\Coupons" /s /q
rmdir "C:\Program Files (x86)\PCPowerSpeed" /s /q
rmdir "C:\Program Files (x86)\RebateInformer" /s /q
rmdir "C:\Program Files (x86)\roadrunnerbhn" /s /q
rmdir "C:\Program Files (x86)\AskPartnerNetwork" /s /q
rmdir "C:\Program Files (x86)\Browsersafeguard" /s /q
rmdir "C:\Program Files (x86)\Cosmi" /s /q
rmdir "C:\Program Files (x86)\Free Ride Games" /s /q
rmdir "C:\Program Files (x86)\GamingWonderland" /s /q
rmdir "C:\Program Files (x86)\Jacquie Lawson Circus" /s /q
rmdir "C:\Program Files (x86)\TidyNetwork" /s /q
rmdir "C:\Program Files\MyPC Backup" /s /q
rmdir "C:\Program Files\Driver Support" /s /q
rmdir "C:\Program Files\PCRx" /s /q
rmdir "C:\Program Files\PC Optimizer Pro" /s /q
rmdir "C:\Program Files\Quick PC Booster" /s /q
rmdir "C:\Program Files\Veloxum" /s /q
rmdir "C:\Program Files\HeadlineAlley_29" /s /q
rmdir "C:\Program Files\MapsGalaxy_39" /s /q
rmdir "C:\Program Files\inbox.com" /s /q
rmdir "C:\Program Files\inbox toolbar" /s /q
rmdir "C:\Program Files\24x7Help" /s /q
rmdir "C:\Program Files\AppGraffiti" /s /q
rmdir "C:\Program Files\Avanquest" /s /q
rmdir "C:\Program Files\Coupons" /s /q
rmdir "C:\Program Files\PCPowerSpeed" /s /q
rmdir "C:\Program Files\RebateInformer" /s /q
rmdir "C:\Program Files\roadrunnerbhn" /s /q
rmdir "C:\Program Files\askpartnernetwork" /s /q
rmdir "C:\Program Files\Browsersafeguard" /s /q
rmdir "C:\Program Files\Cosmi" /s /q
rmdir "C:\Program Files\Free Ride Games" /s /q
rmdir "C:\Program Files\GamingWonderland" /s /q
rmdir "C:\Program Files\Jacquie Lawson Circus" /s /q
rmdir "C:\Program Files\TidyNetwork" /s /q
rmdir "C:\Program Files\EgisTec IPS" /s /q
rmdir "C:\Program Files\SlimCleaner Plus" /s /q
rmdir "C:\Program Files\SlimService" /s /q
rmdir "C:\Program Files (x86)\DriverUpdate" /s /q
rmdir "C:\Program Files (x86)\EgisTec BioExcess" /s /q
rmdir "C:\Program Files (x86)\EgisTec IPS" /s /q
rmdir "C:\Program Files (x86)\EgisTec Port Locker" /s /q
rmdir "C:\Program Files (x86)\ezvid" /s /q
rmdir "C:\Program Files (x86)\MyFree Codec" /s /q
rmdir "C:\Program Files (x86)\Optimizer Pro" /s /q
sc delete APNMCP
sc delete BackupStack
sc delete DSAO
sc delete 24x7HelpSvc
sc delete AQFileRestoreSrv
sc delete CouponPrinterService
sc delete HeadlineAlley_29Service
sc delete GamesAppIntegrationService
sc delete GamesAppService
sc delete GamingWonderlandService
sc delete "EgisTec Service"
sc delete "EgisTec Service Help"
sc delete "EgisTec Ticket Service"
sc delete SlimService
sc delete SpotfluxConnectionManager
sc delete SpotfluxUpdateService
Echo.

Echo ***** Starting backup of misc files *****
Echo.
Echo Backing up the Registry!
Echo.
Echo Y|REG SAVE HKEY_CURRENT_CONFIG C:\727PC\ATLAS\RegBackup\config.emergency
Echo Y|REG SAVE HKEY_CURRENT_USER C:\727PC\ATLAS\RegBackup\user.emergency
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\SAM C:\727PC\ATLAS\RegBackup\SAM
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Security C:\727PC\ATLAS\RegBackup\SECURITY
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Software C:\727PC\ATLAS\RegBackup\SOFTWARE
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\System C:\727PC\ATLAS\RegBackup\SYSTEM
Echo Y|REG SAVE HKEY_USERS\.DEFAULT C:\727PC\ATLAS\RegBackup\DEFAULT
Echo.
Echo Backing up startup registry entries and then deleting them from the hives...
Echo.
reg.exe export "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" "%userprofile%\desktop\startup backup\1-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" "%userprofile%\desktop\startup backup\2-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows\Run" "%userprofile%\desktop\startup backup\3-%Random%.reg"
reg.exe export "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce" "%userprofile%\desktop\startup backup\4-%Random%.reg"
reg.exe export "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" "%userprofile%\desktop\startup backup\5-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnce" "%userprofile%\desktop\startup backup\6-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" "%userprofile%\desktop\startup backup\7-%Random%.reg"
reg.exe export "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" "%userprofile%\desktop\startup backup\8-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" "%userprofile%\desktop\startup backup\9-%Random%.reg"
reg.exe delete "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /f
reg.exe delete "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows\Run" /f
reg.exe delete "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce" /f
reg.exe delete "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnce" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" /f
reg.exe delete "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" /f
Echo.
Echo ***** Starting Networking Fixes *****
Echo.
Echo Stopping the Windows Update Service...
Echo.
Echo Y| net stop wuauserv
Echo.
Echo Stopping the Background Intelligent Transfer Service (BITS)...
Echo.
Echo Y| net stop bits
Echo.
Echo Stopping the Application ID Service...
Echo.
Echo Y| net stop appidsvc
Echo.
Echo Stopping the Cryptography Service...
Echo.
Echo Y| net stop cryptsvc
Echo.
Echo Fixing the Network Queue...
Echo.
Del "%ALLUSERSPROFILE%\Application Data\Microsoft\Network\Downloader\qmgr*.dat"
Echo.
Echo Deleting the 'Software Distribution' folder...
Echo.
rmdir /s /q %windir%\SoftwareDistribution\
mkdir %windir%\SoftwareDistribution
Echo.
Echo Deleting the 'CatRoot2' folder...
Echo.
rmdir /s /q %windir%\System32\CatRoot2\
mkdir %windir%\System32\CatRoot2
Echo.
Echo Cleaning 'Temp' folder...
Echo.
rmdir /s /q %windir%\Temp\
mkdir %windir%\Temp
Echo.
Echo Cleaning 'Prefetch' folder...
Echo.
rmdir /s /q %windir%\Prefetch\
mkdir %windir%\Prefetch
Echo.
Echo Cleaning 'Program Data' Folder
Echo.
del /S "%programdata%"\*.tmp
Echo.
Echo Registering Important Associated DLLs...
Echo.
regsvr32 atl.dll /s
regsvr32 urlmon.dll /s
regsvr32 mshtml.dll /s
regsvr32 shdocvw.dll /s
regsvr32 browseui.dll /s
regsvr32 jscript.dll /s
regsvr32 vbscript.dll /s
regsvr32 scrrun.dll /s
regsvr32 msxml.dll /s
regsvr32 msxml3.dll /s
regsvr32 msxml6.dll /s
regsvr32 actxprxy.dll /s
regsvr32 softpub.dll /s
regsvr32 wintrust.dll /s
regsvr32 dssenh.dll /s
regsvr32 rsaenh.dll /s
regsvr32 gpkcsp.dll /s
regsvr32 sccbase.dll /s
regsvr32 slbcsp.dll /s
regsvr32 cryptdlg.dll /s
regsvr32 oleaut32.dll /s
regsvr32 ole32.dll /s
regsvr32 shell32.dll /s
regsvr32 initpki.dll /s
regsvr32 wuapi.dll /s
regsvr32 wuaueng.dll /s
regsvr32 wuaueng1.dll /s
regsvr32 wucltui.dll /s
regsvr32 wups.dll /s
regsvr32 wups2.dll /s
regsvr32 wuweb.dll /s
regsvr32 qmgr.dll /s
regsvr32 qmgrprxy.dll /s
regsvr32 wucltux.dll /s
regsvr32 muweb.dll /s
regsvr32 wuwebv.dll /s
regsvr32 mssip32.dll /s
IF EXIST "%SystemRoot%\System32\actxprxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%SystemRoot%\System32\actxprxy.dll" /s
IF EXIST "%ProgramFiles%\Internet Explorer\ieproxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%ProgramFiles%\Internet Explorer\ieproxy.dll" /s
IF EXIST "%WinDir%\SysWOW64\actxprxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%WinDir%\SysWOW64\actxprxy.dll" /s
IF EXIST "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" /s
Echo.
Echo DLL Registration Complete!...
Echo.
Echo Resetting the Security Descriptors...
Echo.
sc.exe sdset bits D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
sc.exe sdset wuauserv D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
Echo Resetting Winsock...
Echo.
netsh winsock reset
Echo.
Echo Resetting the TCP/IP Stack...
Echo.
netsh int ip reset C:\727PC\ATLAS\Log\ipresetlog.txt
Echo.
Echo Clearing Proxy Settings!
Echo.
netsh winhttp reset proxy
Echo.
Echo Applying Vista Specific BITS fix...
Echo.
bitsadmin.exe /reset /allusers
Echo.
Echo Bringing the services back online! (Some might not come back until system is rebooted)...
Echo.
net start wuauserv
net start bits
net start appidsvc
net start cryptsvc
Echo.
Echo ***** Replacing HOSTS file with known good copy *****
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/hosts c:\727pc\ATLAS\Tools\hosts
copy /y "c:\727pc\ATLAS\Tools\hosts" "%windir%\System32\drivers\etc"
Echo.

Echo ***** Starting file cleanup *****
Echo.
Echo Emptying the Recycle bin...
Echo.
rd /s /q %systemdrive%\$Recycle.bin
Echo.
Echo.
Echo Deleting Temporary internet files (IE 7+)...
Echo.
DEL /s /q "%LOCALAPPDATA%\Microsoft\Windows\Temporary Internet Files\Low\Content.IE5\*"
Echo.
Echo Deleting AppData Temporary Files...
Echo.
rmdir /s /q %LOCALAPPDATA%\Temp\
mkdir %LOCALAPPDATA%\Temp
Echo.
Echo Deleting IE Saved Data and disabling add-ons
Echo.
RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 4351
Echo.
Echo Delete Google Chrome Extensions...
Echo.
rmdir /s /q "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
mkdir "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
Echo.
Echo Deleting Firefox extension cache...
Echo.
rmdir /s /q "%APPDATA%\Mozilla\Extensions"
mkdir "%APPDATA%\Mozilla\Extensions"
Echo.
Echo Disabling/Deleting Hibernation and file(s)
Echo.
powercfg.exe -h off
Echo.

Echo ***** Performing Misc fixes *****
Echo.
start explorer.exe
Echo.
Echo Rebuilding Icon Cache...
Echo.
ie4uinit.exe -ClearIconCache
taskkill /F /IM explorer.exe
DEL "%iconcache%" /A
Echo.
Echo Fixing Windows installer problems...
Echo.
msiexec /unregister
Echo.
msiexec /regserver
Echo.
Echo Setting the pagefile to a nice normal 4GB
Echo.
wmic computersystem where name="%computername%" set AutomaticManagedPagefile=False
Echo.
wmic pagefileset where name="C:\\pagefile.sys" set InitialSize=4096,MaximumSize=4096
Echo.
Echo Deleting Scheduled Tasks
Echo.
schtasks /delete /F /TN *
Echo.
Echo Checking for windows updates
Echo.
wuauclt.exe /detectnow
Echo.
Echo Disabling Superfetch...
Echo.
net stop SysMain
Echo.
sc config Superfetch start= disabled
Echo.

Echo ***** Repairing File System *****
Echo.
SFC /scannow
Echo.
Echo Y| chkdsk /f
Echo.

Echo ***** Starting Security Audit *****
Echo.
Echo Im now going to modify the security settings for executables to help combat cryptolocker and cryptowall.
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/CryptoPrevent.exe c:\727pc\ATLAS\Tools\CryptoPrevent.exe
Start C:\727pc\ATLAS\Tools\CryptoPrevent.exe  /apply /appdata /appdatadeep /appdatalocal /programdata /userprofile /startup /bin /syskey /cipher /fakeexts /whitelist /silent
Echo.
Echo Now im going to try and fix the default Windows permissions. (Use Tweak if this breaks things!)
Echo.
secedit /configure /cfg %windir%\inf\defltbase.inf /db defltbase.sdb /verbose
Echo.
Echo I am going to attempt to reset the Windows GPO settings (vista, 7, 8+)
Echo.
RD /S /Q "%WinDir%\System32\GroupPolicyUsers"
RD /S /Q "%WinDir%\System32\GroupPolicy"
gpupdate /force
DEL "%systemroot%\system32\GroupPolicy\User\registry.pol"
DEL "%systemroot%\system32\GroupPolicy\Machine\registry .pol"
DEL "%userprofile%\ntuser.pol"
REG DELETE HKLM\Software\Policies /f
REG DELETE HKCU\Software\Policies /f
REG DELETE HKLM\Software\Microsoft\Windows\CurrentVersion\Policies /f
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies /f
Echo.
net localgroup administrators SERVICE /delete
Echo.

Echo ***** Starting Registry Settings *****
Echo.
Reg Add HKLM\Software\Microsoft\Windows\CurrentVersion\RunOnce /v Message /d "MSG * System HDD/SSD will I/O HARD while it rebuilds indexes!! ~5min" /f
Echo.
Echo Fixing Chrome update registry key...
Echo.
Reg Add HKLM\SOFTWARE\Policies\Google\Update /V "UpdateDefault" /D 1 /T REG_DWORD /F
Echo.
Echo Deleting Policy preventing Vista start menu items from appearing...
Echo.
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer /v NoInstrumentation /f
Echo.
Echo Deleting upper and lower filters (Fixes no CD appearing)...
Echo.
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v UpperFilters /f
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v LowerFilters /f
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/subinacl.exe c:\windows\system32\subinacl.exe
subinacl /subkeyreg HKEY_LOCAL_MACHINE /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CURRENT_USER /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CLASSES_ROOT /grant=administrators=f >NUL 2>NUL
subinacl /subdirectories %SystemDrive% /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_LOCAL_MACHINE /grant=system=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CURRENT_USER /grant=system=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CLASSES_ROOT /grant=system=f >NUL 2>NUL
subinacl /subdirectories %SystemDrive% /grant=system=f >NUL 2>NUL
Echo.

Echo ***** Starting wrap-up fixes before shutdown *****
Echo.
Echo Flushing the DNS Cache...
Echo.
ipconfig /flushdns
Echo.
Echo Releasing and Renewing the IP...
Echo.
ipconfig /renew
Echo.
sc start MsMpSvc
Echo.
reg add "HKCU\Control Panel\Desktop" /v "ScreenSaveActive" /t REG_SZ /d "1" /f
Echo.
taskkill /F /IM "coretemp".exe
timeout 5
rmdir /s /q "C:\727pc\ATLAS\Tools"
Echo.

Echo ***** CREDITS *****
Echo.
Echo David S.
Echo Evan B.
Echo Mike G.
Echo.
goto logul

:ver_current
cls
Echo.
Echo                ******************************************************
Echo                *    Automated Technician Labor Assistance System    *
Echo                *                 Windows 7/8/10 MODE                *
Echo                ******************************************************
Echo.
Echo Please do not run other programs while ATLAS is performing operations!
Echo.
Echo Make sure Anti-Virus software is disabled. ATLAS will download and run tools.
Echo.
Echo If possible make sure system is connected to the internet.
Echo.
Echo Repairs happen off screen to speed up the process!
Echo.
Echo Initial reboot after repairs may take a long time.
Echo.
Echo Errors below can safetly be ignored.
Echo.
@Echo off
MD C:\727PC\ATLAS\RegBackup
MD C:\727PC\ATLAS\Log
MD C:\727PC\ATLAS\Tools
call :win7 >> "C:\727PC\ATLAS\Log\%Filename%.txt" 2>&1

:win7
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/coretemp.exe c:\727pc\ATLAS\Tools\coretemp.exe
START C:\727pc\ATLAS\Tools\coretemp.exe
Echo.
Echo **********************************
Echo * STARTING ATLAS v%BUILD%  *
Echo **********************************
Echo.
Echo *********************************
Echo *          SYSTEM INFO          *    
Echo *********************************                          
Echo Current Local date and time is:
Echo.
DATE /t
TIME /t
Echo.
Echo Computer Name: %computername%
Echo.
Echo User Name: %username%
Echo.
systeminfo | findstr /B /C:"OS Name" /C:"OS Version" /C:"System Model"
Echo.
Echo *********************************
Echo *              END              *   
Echo ********************************* 
Echo.
Echo ***** Listing running process' for reasons *****
Echo.
tasklist
Echo.
Echo ***** Listing running services for reasons *****
Echo.
net start
Echo.
Echo *********************************
Echo *         Beginning Fixes       *   
Echo ********************************* 
Echo.

Echo ***** Beginning Pre-System Maintenance *****
Echo.
Echo Making sure system restore is enabled...
Echo.
powershell enable-computerrestore "C:\ "
Echo.
Echo Deleting Restore points...
Echo.
vssadmin delete shadows /for=c: /all /quiet
Echo.
powershell checkpoint-computer Edios
Echo.
Echo Backing up and deleting startup items incase of infection...
Echo.
XCOPY "%userprofile%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup" "%userprofile%\desktop\startup backup" /E /C /Y /I /S
DEL /S /Q "%userprofile%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup"
Echo.
Echo Stopping the Windows Time Service...
Echo.
Echo Y| net stop w32time
Echo.
Echo Starting the Windows time Service...
Echo.
net start w32time
Echo.
tzutil /s "Eastern Standard Time"
Echo.
w32tm /resync
Echo.
NetSh Advfirewall set allprofiles state off
Echo.
sc stop MsMpSvc
Echo.
powercfg.exe -change -monitor-timeout-ac 0
powercfg.exe -change -monitor-timeout-dc 0
powercfg.exe -change -disk-timeout-ac 0
powercfg.exe -change -disk-timeout-dc 0
powercfg.exe -change -standby-timeout-ac 0
powercfg.exe -change -standby-timeout-dc 0
powercfg.exe -change -hibernate-timeout-ac 0
powercfg.exe -change -hibernate-timeout-dc 0
reg add "HKCU\Control Panel\Desktop" /v "ScreenSaveActive" /t REG_SZ /d "0" /f
Echo.
Echo Killing Primary processes to help with fixes...
Echo.
taskkill /F /IM msseces.exe
taskkill /F /IM chrome.exe
taskkill /F /IM GoogleCrashHandler.exe
taskkill /F /IM GoogleUpdate.exe
taskkill /F /IM GoogleCrashHandler64.exe
taskkill /F /IM iexplore.exe
taskkill /F /IM firefox.exe
taskkill /F /IM explorer.exe
taskkill /F /IM palemoon.exe
taskkill /F /IM opera.exe
taskkill /F /IM safari.exe
taskkill /F /IM sidebar.exe
taskkill /F /IM skype.exe
taskkill /F /IM SkypeC2CAutoUpdateSvc.exe
taskkill /F /IM SkypeC2CPNRSvc.exe
Echo.
Echo ***** Now killing some common malware *****
Echo.
taskkill /F /IM "mypc backup".exe
taskkill /F /IM "backupstack".exe
taskkill /F /IM "driversupport".exe
taskkill /F /IM "driversupportao".exe
taskkill /F /IM "driversupportsvc".exe
taskkill /F /IM "pc optimizer pro".exe
taskkill /F /IM "startapps".exe
taskkill /F /IM "sp".exe
taskkill /F /IM "qpcbperformance".exe
taskkill /F /IM "quickpcbooster".exe
taskkill /F /IM "quickpcboostertrays".exe
taskkill /F /IM "pcoptprotrays".exe
taskkill /F /IM "pcrx".exe
taskkill /F /IM "pcrxtray".exe
taskkill /F /IM "29barsvc".exe
taskkill /F /IM "29brmon".exe
taskkill /F /IM "29brmon64".exe
taskkill /F /IM "39barsvc".exe
taskkill /F /IM "app24x7svc.exe".exe
taskkill /F /IM "appgraffiti".exe
taskkill /F /IM "appintegrator64".exe
taskkill /F /IM "aqfilerestoresrv".exe
taskkill /F /IM "avqwinmonengine".exe
taskkill /F /IM "couponprinterservice".exe
taskkill /F /IM "inbox".exe
taskkill /F /IM "mxtask".exe
taskkill /F /IM "mxtask2".exe
taskkill /F /IM "splashscreen".exe
taskkill /F /IM "RebateInf".exe
taskkill /F /IM "dtuser".exe
taskkill /F /IM "ffhelper".exe
taskkill /F /IM "ieutilslite".exe
taskkill /F /IM "tbnotifier".exe
taskkill /F /IM "softwareupdater".exe
taskkill /F /IM "Jacquie Lawson Circus".exe
taskkill /F /IM "dodlg".exe
taskkill /F /IM "gamelauncher".exe
taskkill /F /IM "gplayer".exe
taskkill /F /IM "gplrlanc".exe
taskkill /F /IM "report".exe
taskkill /F /IM "gtbarsvc".exe
taskkill /F /IM "gtbrmon".exe
taskkill /F /IM "gtbrmon64".exe
taskkill /F /IM "appintegrator".exe
taskkill /F /IM "appintegrator64".exe
taskkill /F /IM "gthighin".exe
taskkill /F /IM "gtmedint".exe
taskkill /F /IM "gtskplay".exe
taskkill /F /IM "gtsrchmn".exe
taskkill /F /IM "tpimanagerconsole".exe
taskkill /F /IM "mdp".exe
taskkill /F /IM "SlimCleanerPlus".exe
taskkill /F /IM "SlimServiceFactory".exe
taskkill /F /IM "SlimService".exe
taskkill /F /IM "driverupdate".exe
taskkill /F /IM "ezvid".exe
taskkill /F /IM "ffmpeg".exe
taskkill /F /IM "sox".exe
taskkill /F /IM "nircmd".exe
taskkill /F /IM "EgisAuthShellCom".exe
taskkill /F /IM "EgisCrypto".exe
taskkill /F /IM "EgisInitWizard".exe
taskkill /F /IM "EgisMgtConsole".exe
taskkill /F /IM "EgisPSDProxy".exe
taskkill /F /IM "EgisTSR".exe
taskkill /F /IM "EgisService".exe
taskkill /F /IM "egisupdate".exe
taskkill /F /IM "pmmupdate".exe
taskkill /F /IM "Egishlpsvc".exe
taskkill /F /IM "EgisPLConsole".exe
taskkill /F /IM "EgisPLInitWizard".exe
taskkill /F /IM "EgisPLTSR".exe
taskkill /F /IM "OneClickFixService".exe
taskkill /F /IM "PCTechHotlineSvc".exe
taskkill /F /IM "wajam_64".exe
taskkill /F /IM "updateFasterLight".exe
taskkill /F /IM "youtubeserv".exe
taskkill /F /IM "PCKeeperService".exe
taskkill /F /IM "wajam".exe
taskkill /F /IM "grunt".exe
taskkill /F /IM "wrex".exe
taskkill /F /IM "wrex64".exe
taskkill /F /IM "rpcnet".exe
taskkill /F /IM "utility".exe
taskkill /F /IM "OptProSmartScan".exe
taskkill /F /IM "PennyBeeW".exe
taskkill /F /IM "PCKeeper".exe
taskkill /F /IM "BBQLeadsApplication".exe
taskkill /F /IM "DesktopDockApp".exe
taskkill /F /IM "unit".exe
taskkill /F /IM "SupOptSmartScan".exe
taskkill /F /IM "utilFasterLight".exe
taskkill /F /IM "FasterLight.BOASHelper".exe
taskkill /F /IM "FasterLight.BRT.Helper".exe
taskkill /F /IM "FasterLight.expext".exe
taskkill /F /IM "findingdiscount".exe
taskkill /F /IM "FasterLight.BrowserAdapter".exe
taskkill /F /IM "FasterLight.BrowserAdapter64".exe
taskkill /F /IM "TiWorker".exe
taskkill /F /IM "wincheck".exe
taskkill /F /IM "IMGUpdater".exe
taskkill /F /IM "VOsrv".exe
taskkill /F /IM "nseven".exe
taskkill /F /IM "upgmsd_us_13".exe
taskkill /F /IM "SC_Svc64".exe
sc stop BackupStack
sc stop DSAO
sc stop 24x7HelpSvc
sc stop AQFileRestoreSrv
sc stop CouponPrinterService
sc stop HeadlineAlley_29Service
sc stop APNMCP
sc stop GamesAppIntegrationService
sc stop GamesAppService
sc stop GamingWonderlandService
sc stop "EgisTec Service"
sc stop "EgisTec Service Help"
sc stop "EgisTec Ticket Service"
sc stop SlimService
sc stop SpotfluxConnectionManager
sc stop SpotfluxUpdateService
Echo.
Echo Deleting Malware related files
Echo.
del /S "%APPDATA%"\*.cpp
del /S "%LOCALAPPDATA%"\*.cpp
del /S "%programdata%"\*.cpp
del /S "%programdata%"\*.zot
del /S "%programdata%"\*.zog
rmdir "%appdata%\Search Protection" /s /q
rmdir "%appdata%\PCRx" /s /q
rmdir "%userprofile%\Local Settings\Application Data\PC_Drivers_Headquarters" /s /q
rmdir "C:\Program Files (x86)\Software Updater" /s /q
rmdir "C:\Program Files (x86)\MyPC Backup" /s /q
rmdir "C:\Program Files (x86)\Driver Support" /s /q
rmdir "C:\Program Files (x86)\PCRx" /s /q
rmdir "C:\Program Files (x86)\PC Optimizer Pro" /s /q
rmdir "C:\Program Files (x86)\Quick PC Booster" /s /q
rmdir "C:\Program Files (x86)\Veloxum" /s /q
rmdir "C:\Program Files (x86)\HeadlineAlley_29" /s /q
rmdir "C:\Program Files (x86)\MapsGalaxy_39" /s /q
rmdir "C:\Program Files (x86)\inbox.com" /s /q
rmdir "C:\Program Files (x86)\inbox toolbar" /s /q
rmdir "C:\Program Files (x86)\24x7Help" /s /q
rmdir "C:\Program Files (x86)\AppGraffiti" /s /q
rmdir "C:\Program Files (x86)\Avanquest" /s /q
rmdir "C:\Program Files (x86)\Coupons" /s /q
rmdir "C:\Program Files (x86)\PCPowerSpeed" /s /q
rmdir "C:\Program Files (x86)\RebateInformer" /s /q
rmdir "C:\Program Files (x86)\roadrunnerbhn" /s /q
rmdir "C:\Program Files (x86)\AskPartnerNetwork" /s /q
rmdir "C:\Program Files (x86)\Browsersafeguard" /s /q
rmdir "C:\Program Files (x86)\Cosmi" /s /q
rmdir "C:\Program Files (x86)\Free Ride Games" /s /q
rmdir "C:\Program Files (x86)\GamingWonderland" /s /q
rmdir "C:\Program Files (x86)\Jacquie Lawson Circus" /s /q
rmdir "C:\Program Files (x86)\TidyNetwork" /s /q
rmdir "C:\Program Files\MyPC Backup" /s /q
rmdir "C:\Program Files\Driver Support" /s /q
rmdir "C:\Program Files\PCRx" /s /q
rmdir "C:\Program Files\PC Optimizer Pro" /s /q
rmdir "C:\Program Files\Quick PC Booster" /s /q
rmdir "C:\Program Files\Veloxum" /s /q
rmdir "C:\Program Files\HeadlineAlley_29" /s /q
rmdir "C:\Program Files\MapsGalaxy_39" /s /q
rmdir "C:\Program Files\inbox.com" /s /q
rmdir "C:\Program Files\inbox toolbar" /s /q
rmdir "C:\Program Files\24x7Help" /s /q
rmdir "C:\Program Files\AppGraffiti" /s /q
rmdir "C:\Program Files\Avanquest" /s /q
rmdir "C:\Program Files\Coupons" /s /q
rmdir "C:\Program Files\PCPowerSpeed" /s /q
rmdir "C:\Program Files\RebateInformer" /s /q
rmdir "C:\Program Files\roadrunnerbhn" /s /q
rmdir "C:\Program Files\askpartnernetwork" /s /q
rmdir "C:\Program Files\Browsersafeguard" /s /q
rmdir "C:\Program Files\Cosmi" /s /q
rmdir "C:\Program Files\Free Ride Games" /s /q
rmdir "C:\Program Files\GamingWonderland" /s /q
rmdir "C:\Program Files\Jacquie Lawson Circus" /s /q
rmdir "C:\Program Files\TidyNetwork" /s /q
rmdir "C:\Program Files\EgisTec IPS" /s /q
rmdir "C:\Program Files\SlimCleaner Plus" /s /q
rmdir "C:\Program Files\SlimService" /s /q
rmdir "C:\Program Files (x86)\DriverUpdate" /s /q
rmdir "C:\Program Files (x86)\EgisTec BioExcess" /s /q
rmdir "C:\Program Files (x86)\EgisTec IPS" /s /q
rmdir "C:\Program Files (x86)\EgisTec Port Locker" /s /q
rmdir "C:\Program Files (x86)\ezvid" /s /q
rmdir "C:\Program Files (x86)\MyFree Codec" /s /q
rmdir "C:\Program Files (x86)\Optimizer Pro" /s /q
sc delete APNMCP
sc delete BackupStack
sc delete DSAO
sc delete 24x7HelpSvc
sc delete AQFileRestoreSrv
sc delete CouponPrinterService
sc delete HeadlineAlley_29Service
sc delete GamesAppIntegrationService
sc delete GamesAppService
sc delete GamingWonderlandService
sc delete "EgisTec Service"
sc delete "EgisTec Service Help"
sc delete "EgisTec Ticket Service"
sc delete SlimService
sc delete SpotfluxConnectionManager
sc delete SpotfluxUpdateService
Echo.

Echo ***** Starting backup of misc files *****
Echo.
Echo Backing up the Registry!
Echo.
Echo Y|REG SAVE HKEY_CURRENT_CONFIG C:\727PC\ATLAS\RegBackup\config.emergency
Echo Y|REG SAVE HKEY_CURRENT_USER C:\727PC\ATLAS\RegBackup\user.emergency
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\SAM C:\727PC\ATLAS\RegBackup\SAM
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Security C:\727PC\ATLAS\RegBackup\SECURITY
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Software C:\727PC\ATLAS\RegBackup\SOFTWARE
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\System C:\727PC\ATLAS\RegBackup\SYSTEM
Echo Y|REG SAVE HKEY_USERS\.DEFAULT C:\727PC\ATLAS\RegBackup\DEFAULT
Echo.
Echo Backing up startup registry entries and then deleting them from the hives...
Echo.
reg.exe export "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" "%userprofile%\desktop\startup backup\1-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" "%userprofile%\desktop\startup backup\2-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows\Run" "%userprofile%\desktop\startup backup\3-%Random%.reg"
reg.exe export "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce" "%userprofile%\desktop\startup backup\4-%Random%.reg"
reg.exe export "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" "%userprofile%\desktop\startup backup\5-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnce" "%userprofile%\desktop\startup backup\6-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" "%userprofile%\desktop\startup backup\7-%Random%.reg"
reg.exe export "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" "%userprofile%\desktop\startup backup\8-%Random%.reg"
reg.exe export "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" "%userprofile%\desktop\startup backup\9-%Random%.reg"
reg.exe delete "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /f
reg.exe delete "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows\Run" /f
reg.exe delete "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnce" /f
reg.exe delete "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnce" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnceEx" /f
reg.exe delete "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" /f
reg.exe delete "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\Run" /f
Echo.
Echo ***** Starting Networking Fixes *****
Echo.
Echo Stopping the Windows Update Service...
Echo.
Echo Y| net stop wuauserv
Echo.
Echo Stopping the Background Intelligent Transfer Service (BITS)...
Echo.
Echo Y| net stop bits
Echo.
Echo Stopping the Application ID Service...
Echo.
Echo Y| net stop appidsvc
Echo.
Echo Stopping the Cryptography Service...
Echo.
Echo Y| net stop cryptsvc
Echo.
Echo Fixing the Network Queue...
Echo.
Del "%ALLUSERSPROFILE%\Application Data\Microsoft\Network\Downloader\qmgr*.dat"
Echo.
Echo Deleting the 'Software Distribution' folder...
Echo.
rmdir /s /q %windir%\SoftwareDistribution\
mkdir %windir%\SoftwareDistribution
Echo.
Echo Deleting the 'CatRoot2' folder...
Echo.
rmdir /s /q %windir%\System32\CatRoot2\
mkdir %windir%\System32\CatRoot2
Echo.
Echo Cleaning 'Temp' folder...
Echo.
rmdir /s /q %windir%\Temp\
mkdir %windir%\Temp
Echo.
Echo Cleaning 'Prefetch' folder...
Echo.
rmdir /s /q %windir%\Prefetch\
mkdir %windir%\Prefetch
Echo.
Echo Cleaning 'Program Data' Folder
Echo.
del /S "%programdata%"\*.tmp
Echo.
Echo Registering Important Associated DLLs...
Echo.
regsvr32 atl.dll /s
regsvr32 urlmon.dll /s
regsvr32 mshtml.dll /s
regsvr32 shdocvw.dll /s
regsvr32 browseui.dll /s
regsvr32 jscript.dll /s
regsvr32 vbscript.dll /s
regsvr32 scrrun.dll /s
regsvr32 msxml.dll /s
regsvr32 msxml3.dll /s
regsvr32 msxml6.dll /s
regsvr32 actxprxy.dll /s
regsvr32 softpub.dll /s
regsvr32 wintrust.dll /s
regsvr32 dssenh.dll /s
regsvr32 rsaenh.dll /s
regsvr32 gpkcsp.dll /s
regsvr32 sccbase.dll /s
regsvr32 slbcsp.dll /s
regsvr32 cryptdlg.dll /s
regsvr32 oleaut32.dll /s
regsvr32 ole32.dll /s
regsvr32 shell32.dll /s
regsvr32 initpki.dll /s
regsvr32 wuapi.dll /s
regsvr32 wuaueng.dll /s
regsvr32 wuaueng1.dll /s
regsvr32 wucltui.dll /s
regsvr32 wups.dll /s
regsvr32 wups2.dll /s
regsvr32 wuweb.dll /s
regsvr32 qmgr.dll /s
regsvr32 qmgrprxy.dll /s
regsvr32 wucltux.dll /s
regsvr32 muweb.dll /s
regsvr32 wuwebv.dll /s
regsvr32 mssip32.dll /s
IF EXIST "%SystemRoot%\System32\actxprxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%SystemRoot%\System32\actxprxy.dll" /s
IF EXIST "%ProgramFiles%\Internet Explorer\ieproxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%ProgramFiles%\Internet Explorer\ieproxy.dll" /s
IF EXIST "%WinDir%\SysWOW64\actxprxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%WinDir%\SysWOW64\actxprxy.dll" /s
IF EXIST "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" /s
Echo.
Echo DLL Registration Complete!...
Echo.
Echo Resetting the Security Descriptors...
Echo.
sc.exe sdset bits D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
sc.exe sdset wuauserv D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
Echo Resetting Winsock...
Echo.
netsh winsock reset
Echo.
Echo Resetting the TCP/IP Stack...
Echo.
netsh int ip reset C:\727PC\ATLAS\Log\ipresetlog.txt
Echo.
Echo Clearing Proxy Settings!
Echo.
netsh winhttp reset proxy
Echo.
Echo Bringing the services back online! (Some might not come back until system is rebooted)...
Echo.
net start wuauserv
net start bits
net start appidsvc
net start cryptsvc
Echo.
Echo ***** Replacing HOSTS file with known good copy *****
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/hosts c:\727pc\ATLAS\Tools\hosts
copy /y "c:\727pc\ATLAS\Tools\hosts" "%windir%\System32\drivers\etc"
Echo.

Echo ***** Starting file cleanup *****
Echo.
Echo Emptying the Recycle bin...
Echo.
rd /s /q %systemdrive%\$Recycle.bin
Echo.
Echo.
Echo Deleting Temporary internet files (IE 7+)...
Echo.
DEL /s /q "%LOCALAPPDATA%\Microsoft\Windows\Temporary Internet Files\Low\Content.IE5\*"
Echo.
Echo Deleting AppData Temporary Files...
Echo.
rmdir /s /q %LOCALAPPDATA%\Temp\
mkdir %LOCALAPPDATA%\Temp
Echo.
Echo Deleting IE Saved Data and disabling add-ons
Echo.
RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 4351
Echo.
Echo Delete Google Chrome Extensions...
Echo.
rmdir /s /q "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
mkdir "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
Echo.
Echo Deleting Firefox extension cache...
Echo.
rmdir /s /q "%APPDATA%\Mozilla\Extensions"
mkdir "%APPDATA%\Mozilla\Extensions"
Echo.
Echo Cleaning Winsxs folder (This will make it impossible to revert OS updates prior to this point!!)
Echo.
Echo N|DISM /online /Cleanup-Image /SpSuperseded
Echo.
Echo Disabling/Deleting Hibernation and file(s)
Echo.
powercfg.exe -h off
Echo.

Echo ***** Performing Misc fixes *****
Echo.
start explorer.exe
Echo.
Echo Rebuilding Icon Cache...
Echo.
ie4uinit.exe -ClearIconCache
taskkill /F /IM explorer.exe
DEL "%iconcache%" /A
Echo.
Echo Fixing Windows installer problems...
Echo.
msiexec /unregister
Echo.
msiexec /regserver
Echo.
Echo Setting the pagefile to a nice normal 4GB
Echo.
wmic computersystem where name="%computername%" set AutomaticManagedPagefile=False
Echo.
wmic pagefileset where name="C:\\pagefile.sys" set InitialSize=4096,MaximumSize=4096
Echo.
Echo Enabling TRIM just in case
Echo.
fsutil behavior set disabledeletenotify 0
Echo.
Echo Calling TRIM this should be a value of (0)
Echo.
fsutil behavior query disabledeletenotify
Echo.
Echo Deleting Scheduled Tasks
Echo.
schtasks /delete /F /TN *
Echo.
Echo Checking for windows updates
Echo.
wuauclt.exe /detectnow
Echo.
Echo Disabling Superfetch...
Echo.
net stop SysMain
Echo.
sc config Superfetch start= disabled
Echo.

Echo ***** Repairing File System *****
Echo.
Dism /Online /Cleanup-Image /RestoreHealth
Echo.
Dism /Online /Cleanup-Image /StartComponentCleanup
Echo.
SFC /scannow
Echo.
Echo Y| chkdsk /f
Echo.

Echo ***** Starting Security Audit *****
Echo.
Echo Im now going to modify the security settings for executables to help combat cryptolocker and cryptowall.
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/CryptoPrevent.exe c:\727pc\ATLAS\Tools\CryptoPrevent.exe
Start C:\727pc\ATLAS\Tools\CryptoPrevent.exe  /apply /appdata /appdatadeep /appdatalocal /programdata /userprofile /startup /bin /syskey /cipher /fakeexts /whitelist /silent
Echo.
Echo Now im going to try and fix the default Windows permissions. (Use Tweak if this breaks things!)
Echo.
secedit /configure /cfg %windir%\inf\defltbase.inf /db defltbase.sdb /verbose
Echo.
Echo I am going to attempt to reset the Windows GPO settings (vista, 7, 8+)
Echo.
RD /S /Q "%WinDir%\System32\GroupPolicyUsers"
RD /S /Q "%WinDir%\System32\GroupPolicy"
gpupdate /force
DEL "%systemroot%\system32\GroupPolicy\User\registry.pol"
DEL "%systemroot%\system32\GroupPolicy\Machine\registry .pol"
DEL "%userprofile%\ntuser.pol"
REG DELETE HKLM\Software\Policies /f
REG DELETE HKCU\Software\Policies /f
REG DELETE HKLM\Software\Microsoft\Windows\CurrentVersion\Policies /f
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies /f
Echo.
net localgroup administrators SERVICE /delete
Echo.

Echo ***** Starting Registry Settings *****
Echo.
Reg Add HKLM\Software\Microsoft\Windows\CurrentVersion\RunOnce /v Message /d "MSG * System HDD/SSD will I/O HARD while it rebuilds indexes!! ~5min" /f
Echo.
Echo Fixing Chrome update registry key...
Echo.
Reg Add HKLM\SOFTWARE\Policies\Google\Update /V "UpdateDefault" /D 1 /T REG_DWORD /F
Echo.
Echo Deleting Policy preventing Vista start menu items from appearing...
Echo.
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer /v NoInstrumentation /f
Echo.
Echo Deleting upper and lower filters (Fixes no CD appearing)...
Echo.
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v UpperFilters /f
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v LowerFilters /f
Echo.
bitsadmin /transfer ATLUS /download /priority high http://www.teamdotexe.org/Downloads/subinacl.exe c:\windows\system32\subinacl.exe
subinacl /subkeyreg HKEY_LOCAL_MACHINE /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CURRENT_USER /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CLASSES_ROOT /grant=administrators=f >NUL 2>NUL
subinacl /subdirectories %SystemDrive% /grant=administrators=f >NUL 2>NUL
subinacl /subkeyreg HKEY_LOCAL_MACHINE /grant=system=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CURRENT_USER /grant=system=f >NUL 2>NUL
subinacl /subkeyreg HKEY_CLASSES_ROOT /grant=system=f >NUL 2>NUL
subinacl /subdirectories %SystemDrive% /grant=system=f >NUL 2>NUL
Echo.

Echo ***** Starting wrap-up fixes before shutdown *****
Echo.
Echo Flushing the DNS Cache...
Echo.
ipconfig /flushdns
Echo.
Echo Releasing and Renewing the IP...
Echo.
ipconfig /renew
Echo.
sc start MsMpSvc
Echo.
reg add "HKCU\Control Panel\Desktop" /v "ScreenSaveActive" /t REG_SZ /d "1" /f
Echo.
taskkill /F /IM "coretemp".exe
timeout 5
rmdir /s /q "C:\727pc\ATLAS\Tools"
Echo.

Echo ***** CREDITS *****
Echo.
Echo David S.
Echo Evan B.
Echo Mike G.
Echo.
goto logul

:logul
Echo ***** Starting Log Upload to ATLAS Server *****
Echo.
cd /D "C:\727PC\ATLAS\Log"
Echo open teamdotexe.org> temp.txt
Echo user Scrubber>> temp.txt
Echo LogMe>> temp.txt
Echo ASCII>> temp.txt
Echo prompt no>> temp.txt
Echo mput *.txt>> temp.txt
Echo quit>> temp.txt
ftp -n -s:temp.txt
del temp.txt
Echo.
netsh firewall set opmode enable
Echo.
NetSh Advfirewall set allprofiles state on
Echo.
shutdown /r /t 30 /c "A.T.L.A.S will reboot the system in 30 seconds."
goto end

:limp
cls
Echo.
Echo You have started the Low Impact Maintainence Protocol or L.I.M.P
Echo This is a failsafe mode with limited repair options.
Echo ATLAS may hang on systems pre service packs.
Echo L.I.M.P will attempt to run basic repairs so that you can hopefully update.
Echo.
Echo Do to the nature of this mode EIDOS RECOVERY DATA WILL NOT BE STORED!
Echo.
Echo 1 = Continue
Echo.
Echo 2 = Main Menu
ECHO.
Echo 3 = Exit
set choice=
ECHO.
Echo Select Continue(1)  Menu(2) or Exit(3).
Echo.
set /p choice=
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto limpmenu
if '%choice%'=='2' goto disclaimer
if '%choice%'=='3' goto exit
Echo.


:limpmenu
cls
color 4E
Echo.
Echo  *WARNING*                                                            *WARNING*
Echo                             ************************
Echo                             *     L.I.M.P MODE     *
Echo                             ************************
Echo.
Echo Beginning L.I.M.P support...
Echo.
Echo Please attempt to update system after completion.
Echo.
Echo Make sure Anti-Virus software is disabled.
Echo.
Echo Most repairs happen off screen to speed up the process!
Echo.
Echo Errors below can safetly be ignored.
Echo.
@Echo off
MD C:\727PC\ATLAS\Log
call :limp2 >> "C:\727PC\ATLAS\Log\LIMP.txt" 2>&1

:limp2
Echo.
Echo ***** Starting Networking Fixes *****
Echo.
Echo Stopping the Windows Update Service...
Echo.
Echo Y| net stop wuauserv
Echo.
Echo Stopping the Background Intelligent Transfer Service (BITS)...
Echo.
Echo Y| net stop bits
Echo.
Echo Stopping the Cryptography Service...
Echo.
Echo Y| net stop cryptsvc
Echo.
Echo Fixing the Network Queue...
Echo.
Del "%ALLUSERSPROFILE%\Application Data\Microsoft\Network\Downloader\qmgr*.dat"
Echo.
Echo Deleting the 'Software Distribution' folder...
Echo.
rmdir /s /q %windir%\SoftwareDistribution\
mkdir %windir%\SoftwareDistribution
Echo.
Echo Deleting the 'CatRoot2' folder...
Echo.
rmdir /s /q %windir%\System32\CatRoot2\
mkdir %windir%\System32\CatRoot2
Echo.
Echo Cleaning 'Temp' folder...
Echo.
rmdir /s /q %windir%\Temp\
mkdir %windir%\Temp
Echo.
Echo Cleaning 'Prefetch' folder...
Echo.
rmdir /s /q %windir%\Prefetch\
mkdir %windir%\Prefetch
Echo.
Echo Cleaning 'Program Data' Folder
Echo.
del /S "%programdata%"\*.tmp
Echo.
Echo Registering Important Associated DLLs...
Echo.
regsvr32 atl.dll /s
regsvr32 urlmon.dll /s
regsvr32 mshtml.dll /s
regsvr32 shdocvw.dll /s
regsvr32 browseui.dll /s
regsvr32 jscript.dll /s
regsvr32 vbscript.dll /s
regsvr32 scrrun.dll /s
regsvr32 msxml.dll /s
regsvr32 msxml3.dll /s
regsvr32 msxml6.dll /s
regsvr32 actxprxy.dll /s
regsvr32 softpub.dll /s
regsvr32 wintrust.dll /s
regsvr32 dssenh.dll /s
regsvr32 rsaenh.dll /s
regsvr32 gpkcsp.dll /s
regsvr32 sccbase.dll /s
regsvr32 slbcsp.dll /s
regsvr32 cryptdlg.dll /s
regsvr32 oleaut32.dll /s
regsvr32 ole32.dll /s
regsvr32 shell32.dll /s
regsvr32 initpki.dll /s
regsvr32 wuapi.dll /s
regsvr32 wuaueng.dll /s
regsvr32 wuaueng1.dll /s
regsvr32 wucltui.dll /s
regsvr32 wups.dll /s
regsvr32 wups2.dll /s
regsvr32 wuweb.dll /s
regsvr32 qmgr.dll /s
regsvr32 qmgrprxy.dll /s
regsvr32 wucltux.dll /s
regsvr32 muweb.dll /s
regsvr32 wuwebv.dll /s
regsvr32 mssip32.dll /s
IF EXIST "%SystemRoot%\System32\actxprxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%SystemRoot%\System32\actxprxy.dll" /s
IF EXIST "%ProgramFiles%\Internet Explorer\ieproxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%ProgramFiles%\Internet Explorer\ieproxy.dll" /s
IF EXIST "%WinDir%\SysWOW64\actxprxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%WinDir%\SysWOW64\actxprxy.dll" /s
IF EXIST "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" /s
Echo.
Echo DLL Registration Complete!...
Echo.
Echo Resetting the Security Descriptors...
Echo.
sc.exe sdset bits D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
sc.exe sdset wuauserv D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
Echo Resetting Winsock...
Echo.
netsh winsock reset
Echo.
Echo Bringing the services back online! (Some might not come back until system is rebooted)...
Echo.
net start wuauserv
net start bits
net start cryptsvc
Echo.

Echo ***** Performing Misc fixes *****
Echo.
Echo Fixing Windows installer problems...
Echo.
msiexec /unregister
Echo.
msiexec /regserver
Echo.
Echo Deleting Scheduled Tasks
Echo.
schtasks /delete /F /TN *
Echo.

Echo ***** Repairing File System *****
Echo.
Echo Y| chkdsk /f
Echo.

Echo ***** Starting Security Audit *****
Echo.
Echo I am going to attempt to reset the Windows GPO settings...
Echo.
REG DELETE HKLM\Software\Policies /f
REG DELETE HKCU\Software\Policies /f
REG DELETE HKLM\Software\Microsoft\Windows\CurrentVersion\Policies /f
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies /f
Echo.
net localgroup administrators SERVICE /delete
Echo.

Echo ***** Starting wrap-up fixes before shutdown *****
Echo.
Echo Flushing the DNS Cache...
Echo.
ipconfig /flushdns
Echo.
Echo Releasing and Renewing the IP...
Echo.
ipconfig /renew
Echo.
netsh firewall set opmode enable
Echo.
sc start MsMpSvc
Echo.
shutdown /r /t 30 /c "L.I.M.P will reboot the system in 30 seconds."
Echo.
goto exit

:eidos
cls
Echo.
Echo You have started the Eidos recovery system.
Echo.
Echo 1 = Continue
Echo.
Echo 2 = Create restoration data manually
ECHO.
Echo 3 = Main Menu
set choice=
ECHO.
Echo Select Continue(1)  Create(2) or Main Menu(3).
Echo.
set /p choice=
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto eidos2
if '%choice%'=='2' goto eidoscreate
if '%choice%'=='3' goto menu
Echo.

:eidoscreate
cls
Echo.
powershell checkpoint-computer Edios
Echo.
Echo Complete! Returning...
Echo.
goto menu

:eidos2
cls
color 3E
Echo                 ****************************************************
Echo                 *     Starting Eidos Emergency System Recovery     *
Echo                 ****************************************************
Echo.
Echo Now running scan for Eidos restoration Data...
Echo.
powershell Get-ComputerRestorePoint
Echo.
Echo Please input Sequence Number and press enter key...
Echo.
set/p seqnum=""
Echo.
Echo Now attempting Eidos data restoration using Sequence %seqnum%
Echo.
powershell restore-computer %seqnum% -ea silentlyContinue -WarningAction silentlyContinue
Echo.
Echo Invalid sequence number detected please try again...
Echo.
pause
goto eidos2

:safemode
cls
Echo.
Echo *WARNING* Halting A.T.L.A.S! System is in SAFE MODE!!
Echo.
Echo Reboot into normal mode to run repairs!
Echo.
pause
goto exit

:end
del "%~f0"

:exit
exit

:scrubberm
cls
color 0C
Echo.
Echo                        **************************************
Echo                        *              STOP  READ            *
Echo                        **************************************
Echo.
Echo The old ass scrubber you know and love!!! (Even the color scheme!)
Echo.
Echo Now with 100%% the same amount of inability as the last version you used!!!
Echo.
Echo Scrubber will not hang all commands are ment to complete or skip!!
Echo.
Echo This could take some time! PLEASE LET IT SIT AND DO ITS JOB!!
Echo.
Echo Log file and registry hives located @ C:\727PC\ATLAS
Echo.
pause
Echo.
Echo WORKING...
Echo.
Echo System will reboot Automatically upon completion AFTER 30 SECONDS!

@Echo off
MD C:\727PC\ATLAS\RegBackup
MD C:\727PC\ATLAS\Log
call :scrub >> "C:\727PC\ATLAS\Log\Scrubber.txt" 2>&1

:scrub
Echo.
Echo **********************************
Echo * STARTING SCRUBBER v2.2.3     *
Echo **********************************
Echo.
Echo *********************************
Echo *          SYSTEM INFO          *    
Echo *********************************                          
Echo Current Local date and time is:
Echo.
DATE /t
TIME /t
Echo.
Echo Computer Name: %computername%
Echo.
Echo User Name: %username%
Echo.
systeminfo | findstr /B /C:"OS Name" /C:"OS Version" /C:"System Model"
Echo.
Echo *********************************
Echo *              END              *   
Echo ********************************* 
Echo.
Echo ***** Listing running process' for reasons *****
Echo.
tasklist
Echo.
Echo *********************************
Echo *         Beginning Fixes       *   
Echo ********************************* 
Echo.

Echo ***** Beginning Pre-System Maintenance *****
Echo.
Echo Stopping the Windows Time Service...
Echo.
Echo Y| net stop w32time
Echo.
Echo Starting the Windows time Service...
Echo.
net start w32time
Echo.
tzutil /s "Eastern Standard Time"
Echo.
w32tm /resync
Echo.
NetSh Advfirewall set allprofiles state off
Echo.
sc stop MsMpSvc
Echo.
Echo Killing Primary processes to help with fixes...
Echo.
taskkill /F /IM msseces.exe
taskkill /F /IM chrome.exe
taskkill /F /IM GoogleCrashHandler.exe
taskkill /F /IM GoogleUpdate.exe
taskkill /F /IM GoogleCrashHandler64.exe
taskkill /F /IM iexplore.exe
taskkill /F /IM firefox.exe
taskkill /F /IM explorer.exe
Echo.
Echo ***** Now killing some virus executables as of NOV-2014 *****
taskkill /F /IM "mypc backup".exe
del /S "%APPDATA%"\*.cpp
del /S "%LOCALAPPDATA%"\*.cpp
del /S "%programdata%"\*.cpp
del /S "%programdata%"\*.zot
Echo.

Echo ***** Starting backup of misc files *****
Echo.
Echo Backing up the Registry!
Echo.
Echo Y|REG SAVE HKEY_CURRENT_CONFIG C:\TDE\Scrubber\RegBackup\config.emergency
Echo Y|REG SAVE HKEY_CURRENT_USER C:\TDE\Scrubber\RegBackup\user.emergency
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\SAM C:\TDE\Scrubber\RegBackup\SAM
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Security C:\TDE\Scrubber\RegBackup\SECURITY
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\Software C:\TDE\Scrubber\RegBackup\SOFTWARE
Echo Y|REG SAVE HKEY_LOCAL_MACHINE\System C:\TDE\Scrubber\RegBackup\SYSTEM
Echo Y|REG SAVE HKEY_USERS\.DEFAULT C:\TDE\Scrubber\RegBackup\DEFAULT
Echo.

Echo ***** Starting Networking Fixes *****
Echo.
Echo Stopping the Windows Update Service...
Echo.
Echo Y| net stop wuauserv
Echo.
Echo Stopping the Background Intelligent Transfer Service (BITS)...
Echo.
Echo Y| net stop bits
Echo.
Echo Stopping the Application ID Service...
Echo.
Echo Y| net stop appidsvc
Echo.
Echo Stopping the Cryptography Service...
Echo.
Echo Y| net stop cryptsvc
Echo.
Echo Fixing the Network Queue...
Echo.
Del "%ALLUSERSPROFILE%\Application Data\Microsoft\Network\Downloader\qmgr*.dat"
Echo.
Echo Deleting the 'Software Distribution' folder...
Echo.
rmdir /s /q %windir%\SoftwareDistribution\
mkdir %windir%\SoftwareDistribution
Echo.
Echo Deleting the 'CatRoot2' folder...
Echo.
rmdir /s /q %windir%\System32\CatRoot2\
mkdir %windir%\System32\CatRoot2
Echo.
Echo Cleaning 'Temp' folder...
Echo.
rmdir /s /q %windir%\Temp\
mkdir %windir%\Temp
Echo.
Echo Cleaning 'Prefetch' folder...
Echo.
rmdir /s /q %windir%\Prefetch\
mkdir %windir%\Prefetch
Echo.
Echo Cleaning 'Program Data' Folder
Echo.
del /S "%programdata%"\*.tmp
Echo.
Echo Registering Important Associated DLLs...
Echo.
regsvr32 atl.dll /s
regsvr32 urlmon.dll /s
regsvr32 mshtml.dll /s
regsvr32 shdocvw.dll /s
regsvr32 browseui.dll /s
regsvr32 jscript.dll /s
regsvr32 vbscript.dll /s
regsvr32 scrrun.dll /s
regsvr32 msxml.dll /s
regsvr32 msxml3.dll /s
regsvr32 msxml6.dll /s
regsvr32 actxprxy.dll /s
regsvr32 softpub.dll /s
regsvr32 wintrust.dll /s
regsvr32 dssenh.dll /s
regsvr32 rsaenh.dll /s
regsvr32 gpkcsp.dll /s
regsvr32 sccbase.dll /s
regsvr32 slbcsp.dll /s
regsvr32 cryptdlg.dll /s
regsvr32 oleaut32.dll /s
regsvr32 ole32.dll /s
regsvr32 shell32.dll /s
regsvr32 initpki.dll /s
regsvr32 wuapi.dll /s
regsvr32 wuaueng.dll /s
regsvr32 wuaueng1.dll /s
regsvr32 wucltui.dll /s
regsvr32 wups.dll /s
regsvr32 wups2.dll /s
regsvr32 wuweb.dll /s
regsvr32 qmgr.dll /s
regsvr32 qmgrprxy.dll /s
regsvr32 wucltux.dll /s
regsvr32 muweb.dll /s
regsvr32 wuwebv.dll /s
regsvr32 mssip32.dll /s
IF EXIST "%SystemRoot%\System32\actxprxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%SystemRoot%\System32\actxprxy.dll" /s
IF EXIST "%ProgramFiles%\Internet Explorer\ieproxy.dll" "%SystemRoot%\System32\regsvr32.exe" "%ProgramFiles%\Internet Explorer\ieproxy.dll" /s
IF EXIST "%WinDir%\SysWOW64\actxprxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%WinDir%\SysWOW64\actxprxy.dll" /s
IF EXIST "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" "%WinDir%\SysWOW64\regsvr32.exe" "%ProgramFiles(x86)%\Internet Explorer\ieproxy.dll" /s
Echo.
Echo DLL Registration Complete!...
Echo.
Echo Resetting the Security Descriptors...
Echo.
sc.exe sdset bits D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
sc.exe sdset wuauserv D:(A;;CCLCSWRPWPDTLOCRRC;;;SY)(A;;CCDCLCSWRPWPDTLOCRSDRCWDWO;;;BA)(A;;CCLCSWLOCRRC;;;AU)(A;;CCLCSWRPWPDTLOCRRC;;;PU)
Echo.
Echo Resetting Winsock...
Echo.
netsh winsock reset
Echo.
Echo Resetting the TCP/IP Stack...
Echo.
netsh int ip reset C:\TDE\Scrubber\Log\ipresetlog.txt
Echo.
Echo Clearing Proxy Settings! (This might shit on Windows XP)...
Echo.
netsh winhttp reset proxy
Echo.
Echo This is another method to reset XPs proxy (This might shit on Windows 7,8+)...
Echo.
proxycfg.exe -d
Echo.
Echo Applying Vista Specific BITS fix...
Echo.
bitsadmin.exe /reset /allusers
Echo.
Echo Bringing the services back online! (Some might not come back until system is rebooted)...
Echo.
net start wuauserv
net start bits
net start appidsvc
net start cryptsvc
Echo.

Echo ***** Starting file cleanup *****
Echo.
Echo Deleting Restore points...
Echo.
vssadmin delete shadows /for=c: /all /quiet
Echo.
Echo Emptying the Recycle bin...
Echo.
rd /s /q %systemdrive%\$Recycle.bin
Echo.
Echo.
Echo Deleting Temporary internet files (IE 7+)...
Echo.
DEL /s /q "%LOCALAPPDATA%\Microsoft\Windows\Temporary Internet Files\Low\Content.IE5\*"
Echo.
Echo Deleting AppData Temporary Files...
Echo.
rmdir /s /q %LOCALAPPDATA%\Temp\
mkdir %LOCALAPPDATA%\Temp
Echo.
Echo Deleting IE Saved Data and disabling add-ons
Echo.
RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 4351
Echo.
Echo Delete Google Chrome Extensions...
Echo.
rmdir /s /q "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
mkdir "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Extensions"
Echo.
Echo Deleting Firefox extension cache...
Echo.
rmdir /s /q "%APPDATA%\Mozilla\Extensions"
mkdir "%APPDATA%\Mozilla\Extensions"
Echo.
Echo Disabling/Deleting Hibernation and file(s)
Echo.
powercfg.exe -h off
Echo.

Echo ***** Performing Misc fixes *****
Echo.
start explorer.exe
Echo.
Echo Rebuilding Icon Cache...
Echo.
ie4uinit.exe -ClearIconCache
taskkill /F /IM explorer.exe
DEL "%iconcache%" /A
start explorer.exe
Echo.
Echo Fixing Windows installer problems...
Echo.
msiexec /unregister
Echo.
msiexec /regserver
Echo.
Echo Setting the pagefile to a nice normal 4GB
Echo.
wmic computersystem where name="%computername%" set AutomaticManagedPagefile=False
Echo.
wmic pagefileset where name="C:\\pagefile.sys" set InitialSize=4096,MaximumSize=4096
Echo.
Echo Enabling TRIM just in case
Echo.
fsutil behavior set disabledeletenotify 0
Echo.
Echo Calling TRIM this should be a value of (0)
Echo.
fsutil behavior query disabledeletenotify
Echo.
Echo Deleting Scheduled Tasks
Echo.
schtasks /delete /F /TN *
Echo.
Echo Checking for windows updates
Echo.
wuauclt.exe /detectnow
Echo.

Echo ***** Starting Security Audit *****
Echo.
Echo Now im going to try and fix the default Windows permissions. (Use Tweak if this breaks things!)
Echo.
secedit /configure /cfg %windir%\inf\defltbase.inf /db defltbase.sdb /verbose
Echo.
Echo I am going to attempt to reset the Windows GPO settings (vista, 7, 8+)
Echo.
RD /S /Q "%WinDir%\System32\GroupPolicyUsers"
RD /S /Q "%WinDir%\System32\GroupPolicy"
gpupdate /force
DEL "%systemroot%\system32\GroupPolicy\User\registry.pol"
DEL "%systemroot%\system32\GroupPolicy\Machine\registry .pol"
DEL "%userprofile%\ntuser.pol"
REG DELETE HKLM\Software\Policies /f
REG DELETE HKCU\Software\Policies /f
REG DELETE HKLM\Software\Microsoft\Windows\CurrentVersion\Policies /f
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies /f
Echo.

Echo ***** Starting Registry Settings *****
Echo.
Reg Add HKLM\Software\Microsoft\Windows\CurrentVersion\RunOnce /v Message /d "MSG * System HDD/SSD will I/O HARD while it rebuilds indexes!! ~5min" /f
Echo.
Echo Fixing Chrome update registry key...
Echo.
Reg Add HKLM\SOFTWARE\Policies\Google\Update /V "UpdateDefault" /D 1 /T REG_DWORD /F
Echo.
Echo Deleting Policy preventing Vista start menu items from appearing...
Echo.
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer /v NoInstrumentation /f
Echo.
Echo Deleting upper and lower filters (Fixes no CD appearing)...
Echo.
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v UpperFilters /f
REG DELETE HKLM\SYSTEM\CurrentControlSet\Control\Class\{4D36E965-E325-11CE-BFC1-08002BE10318} /v LowerFilters /f
Echo.

Echo ***** Starting wrap-up fixes before shutdown *****
Echo.
Echo Flushing the DNS Cache...
Echo.
ipconfig /flushdns
Echo.
Echo Releasing and Renewing the IP...
Echo.
ipconfig /renew
Echo.
NetSh Advfirewall set allprofiles state on
Echo.
sc start MsMpSvc
Echo.

shutdown -r -t 30
Echo.

exit

::CHANGE LOG::
:: + (Added) - (removed) * (Fixed)
:: ===============================
::1.8.7 BETA | + extension deletion to improve success rate of removals.
::1.8.6 BETA | + random string to registry key dumps so overwrites dont happen on multiple runs of ATLAS on the same machine.
::1.8.5 BETA | + Changed main Menu, Stopped super fetch.
::1.8.4 BETA | + Disabled superfetch.
::1.8.3 BETA | + deletion of startup reg entries and backed themup to startup item folder on desktop.
::1.8.2 BETA | * grammar problem in menu system.
::1.8.1 BETA | + Startup item backup and delete in vista and 7+ mode incase of infection.
::1.8.0 BETA | * Safemode check for 7+, Vista and XP.
::1.7.9 BETA | + Safemode check.
::1.7.8 BETA | + A shit done of malware executable kills, + print out of running services, + host file replacement with known good copy, * core script calls for loop workers.
::1.7.4 BETA | + cryptoprevent command line properties.
::1.7.3 BETA | + preventative Cryptolocker/Cryptowall execution policies.
::1.7.2 BETA | + exit command since scrubber is inherently bugged to repeat the batch.
::1.7.1 BETA | * Needed to escape the % in the scrubber echo.
::1.7.0 BETA | + Scrubber mode, + Menu system for scrubber, * conflicting syntax because of scrubber.
::1.6.9 BETA | * Spelling issues, * Directory creation in modes that dont need it, * Color when entering eidos recovery system. - eidos log variable.
::1.6.8 BETA | + Malware definitions.
::1.6.7 BETA | + Malware definitions.
::1.6.6 BETA | * explorer syntax issue, * coretemp version in XP, * Menu wording, * sequence of events when uploading and deleting the \Tools dir before killing coretemp.
::1.6.5 BETA | * upload script account info, * bug correction in start command for coretemp in legacy mode.
::1.6.4 BETA | * Logfile syntax in Legacy mode.
::1.6.3 BETA | * Firewall activation trigger. (uploading after firewall was enabled would block ftp request)
::1.6.2 BETA | + coretemp download to legacy mode, + subinacl download to legacy mode.
::1.6.1 BETA | * Enabled Data upload for all subroutines, + Networking download for Legacy Mode.
::1.5.9 BETA | * Menu linkage for Eidos, * LIMP menu code syntax issue.
::1.5.8 BETA | * Eidos error output when incorrect seq number is detected -Per Evan.
::1.5.7 BETA | * Syntax registry fix for screen saver, + timeout after tool delete to allow time to close stream.
::1.5.6 BETA | * Syntax registry fix for screen saver, + Remove tools on exit to save space.
::1.5.5 BETA | + more browsers to task kill list, * log file problem with atlas
::1.5.4 BETA | + Menu changes, + subinacl download and registry work.
::1.5.0 BETA | + Malware definitions.
::1.4.9 BETA | + Malware definitions.
::1.4.8 BETA | * Download bug, + Menu clarification.
::1.4.7 BETA | + Download of tools, + Creation of tools directory.
::1.4.3 BETA | + Power Adjustment to High performance mode, + Added Screen Saver control.
::1.4.2 BETA | + Better malware detection, * (x86) directory discovery.
::1.4.1 BETA | + Some new malware exe/dir locations, * Menu spelling and cosmetics.
::1.3.9 BETA | + Some new malware exe/dir locations, * Removal syntax * Order of service fixes, + sidebar.exe kill incase of injection.
::1.3.8 BETA | + Far better common malware detection and deletion routines.
::1.3.7 BETA | * Repaired Menu system.
::1.3.6 BETA | * Fixed Limp mode syntax.
::1.3.5 BETA | + L.I.M.P MODE
::1.3.4 BETA | + Service permission delete in security audit block.
::1.3.3 BETA | * Cosmetic/spelling corrections.
::1.3.2 BETA | * Hundreds of fixes and code tweaks, RE-wrote XP section, + new repair commands for all OS's
::1.1.8 BETA | + File system repair utilities, * CLS issue with main menu return.
::1.1.5 BETA | * Syntax issue in XP mode with restore points.
::1.1.4 BETA | + Improved menu context, Slightly tweaked working window appearance for better readability.
::1.1.3 BETA | + Improved OS specific fixes, * Some commands that do not work on newer OS, * Condensed OS detection code, + Banner to working window, + Menu for manual OS selection.
::1.1.2 BETA | + Improvements to Edios, + Grouping of command batches, + OS detection.
::1.0.9 BETA | + EIDOS Recovery System, + Menu System, + Started grouping work payloads.
::1.0.3 BETA | * Adjusted Windows Sync Location (Since it is reliant on explorer being open)
::1.0.2 BETA | + Initial Build